<?php
/** Greek (Ελληνικά)
  *
  * Translation by Pasok Internet Volunteers
  * http://forum.pasok.gr
  * version 1.0 (initial release)
  *
  *The project for the translation of MediaWiki into Greek 
  *was undertaken by a group of ICT volunteers working under 
  *the auspices of the Greek political party PASOK.
  *
  *The idea behind this effort was  to provide an extensible,
  *easy-to-use and non-intimidating tool for content development
  *and project management, to be used throughout the administrative 
  *and political structure of PASOK by staff, volunteers, party members 
  *and elected officials (all of whom possess varying degrees of ICT skills).
  *
  *The PASOK ICT team and the volunteers who worked on this project are 
  *now returning the translated interface to the Open-Source Community 
  *with over 98% of the messages translated into user-friendly Greek.
  *
  *We hope that it will be used as a tool by other civil society organizations
  *in Greece, and that it will enhance the collective creation and the dissemination 
  *of knowledge - an essential component of the democratic process.
  *
  * @package MediaWiki
  * @subpackage Language
  */

/** */
require_once( 'LanguageUtf8.php' );

$wgNamespaceNamesEl = array(
	NS_MEDIA            => 'Μέσον',
	NS_SPECIAL          => 'Special',
	NS_MAIN	            => '',
	NS_TALK	            => 'Συζήτηση',
	NS_USER             => 'Χρήστης',
	NS_USER_TALK        => 'Συζήτηση_χρηστών',
	NS_PROJECT          => $wgMetaNamespace,
	NS_PROJECT_TALK     => $wgMetaNamespace . '_συζήτηση',
	NS_IMAGE            => 'Εικόνες',
	NS_IMAGE_TALK       => 'Συζήτηση_εικόνων',
	NS_MEDIAWIKI        => 'MediaWiki',
	NS_MEDIAWIKI_TALK   => 'MediaWiki_talk',
	NS_TEMPLATE         => 'Πρότυπο',
	NS_TEMPLATE_TALK    => 'Συζήτηση_προτύπων',
	NS_HELP             => 'Βοήθεια',
	NS_HELP_TALK        => 'Συζήτηση_βοήθειας',
	NS_CATEGORY         => 'Κατηγορία',
	NS_CATEGORY_TALK    => 'Συζήτηση_κατηγοριών',
) + $wgNamespaceNamesEn;

$wgAllMessagesEl = array(

# User preference toggles
#----------------------------------------#
'tog-underline' => 'Υπογράμμιση συνδέσμων',
'tog-highlightbroken' => 'Κατεστραμένοι σύνδεσμοι μορφοποίησης <a href="" class="new">όπως αυτός</a> (εναλλακτικά: όπως αυτός<a href="" class="internal">?</a>).',
'tog-justify' => 'Στοίχιση παραγράφων',
'tog-hideminor' => 'Απόκρυψη αλλαγών μικρής κλίμακας',
'tog-usenewrc' => 'Ανάδειξη πρόσφατων αλλαγών (δεν λειτουργεί σε όλους τους browser)',
'tog-numberheadings' => 'Αυτόματη αρίθμιση τίτλων',
'tog-showtoolbar' => 'Εμφάνιση μπάρας εργαλείων επεξεργασίας',
'tog-editondblclick' => 'Επεξεργασία σελίδων με διπλό κλικ (JavaScript)',
'tog-editsection' => 'Ενεργοποίηση επεξεργασίας τμημάτων μέσω των συνδέσμων [επεξεργασία]',
'tog-editsectiononrightclick' => 'Ενεργοποίηση επεξεργασίας τμήματος με δεξύ κλικ<br /> στους τίτλους των τμημάτων (JavaScript)',
'tog-showtoc' => 'Εμφάνιση πίνακα περιεχομένων <br />(για σελίδες με περισσότερες από τρεις κεφαλίδες)',
'tog-rememberpassword' => 'Διατήρηση του κωδικού πρόσβασης σε αυτό τον υπολογιστή',
'tog-editwidth' => 'Πλαίσιο επεξεργασίας στο μέγιστο πλάτος',
'tog-watchdefault' => 'Προσθήκη των σελίδων που επεξεργάζεστε στη λίστα παρακολούθησης.',
'tog-minordefault' => 'Προκαθορίστε να χαρακτηρίζονται όλες οι αλλαγές "μικρής κλίμακας".',
'tog-previewontop' => 'Εμφάνιση προεπισκόπησης πριν από το πλαίσο επεξεργασίας και όχι μετά',
'tog-previewonfirst' => 'Εμφάνιση προεπισκόπησης κατά την πρώτη επεξεργασία',
'tog-nocache' => 'Απενεργοποίηση της δυνατότητας δημιουργίας cache των σελίδων',
'tog-enotifwatchlistpages' => 'Ειδοποίηση με e-mail σχετικά με αλλαγές στις σελίδες που παρακολουθώ.',
'tog-enotifusertalkpages' => 'Ειδοποίηση με e-mail σχετικά με αλλαγές στη συζήτηση της δικής μου σελίδας χρήστη',
'tog-enotifminoredits' => 'Ειδοποίηση με e-mail και για τις αλλαγές μικρής κλίμακας σε αυτή τη σελίδα',
'tog-enotifrevealaddr' => 'Εμφάνιση της ηλεκτρονικής μου διεύθυνσης στις ειδοποιήσεις που μου αποστέλλονται.',
'tog-shownumberswatching' => 'Εμφάνιση του αριθμού των συνδεδεμένων χρηστών',
'tog-fancysig' => 'Απλή υπογραφή (χωρίς τη χρήση αυτόματου συνδέσμου)',
'tog-externaleditor' => 'Εξ αρχής χρήση εξωτερικού επεξεργαστή κειμένου',
'tog-externaldiff' => 'Εξ αρχής χρήση εξωτερικού λογισμικού αντιπαραβολής (diffing)',

'underline-always' => 'Πάντα',
'underline-never' => 'Ποτέ',
'underline-default' => 'Όπως ορίζεται από το browser σας.',

'skinpreview' => '(προεπισκόπηση)',

#Months
#-----------#
'jan' => 'Ιαν',
'january' => 'Ιανουαρίου',
'feb' => 'Φεβρ',
'february' => 'Φεβρουαρίου',
'mar' => 'Μαρτ',
'march' => 'Μαρτίου',
'apr' => 'Απρ',
'april' => 'Απριλίου',
'may' => 'Μαΐου',
'may_long' => 'Μαΐου',
'jun' => 'Ιουν',
'june' => 'Ιουνίου',
'jul' => 'Ιουλ',
'july' => 'Ιουλίου',
'aug' => 'Αυγ',
'august' => 'Αυγούστου',
'sep' => 'Σεπτ',
'september' => 'Σεπτεμβρίου',
'oct' => 'Οκτ',
'october' => 'Οκτωβρίου',
'nov' => 'Νοε',
'november' => 'Νοεμβρίου',
'dec' => 'Δεκ',
'december' => 'Δεκεμβρίου',

#Days
#-------#
'sunday' => 'Κυριακή',
'monday' => 'Δευτέρα',
'tuesday' => 'Τρίτη',
'wednesday' => 'Τετάρτη',
'thursday' => 'Πέμπτη',
'friday' => 'Παρασκευή',
'saturday' => 'Σαββάτο',


# Bits of text used by many pages:
#----------------------------------------------------#
'categories' => 'Κατηγορίες',
'category' => 'κατηγορία',
'category_header' => 'Άρθρα στην κατηγορία "$1"',
'subcategories' => 'Υποκατηγορίες',

'linktrail' => '/^([a-z]+)(.*)$/sD',
'linkprefix' => '/^(.*?)([a-zA-Z\x80-\xff]+)$/sD',
'mainpage' => 'Αρχική σελίδα',
'mainpagetext' => 'To λογισμικό Wiki εγκαταστάθηκε επιτυχώς.',

'mainpagedocfooter' => 'Περισσότερες πληροφορίες σχετικά με τη χρήση και με τη ρύθμιση παραμέτρων θα βρείτε στους συνδέσμους: [http://meta.wikipedia.org/wiki/MediaWiki_i18n Οδηγίες για τροποποίηση του περιβάλλοντος εργασίας] και [http://meta.wikipedia.org/wiki/MediaWiki_User%27s_Guide Εγχειρίδιο χρήστη].',

'portal' => 'Ο ιστοχώρος της κοινότητας',
'portal-url' => '{{ns:4}}:Ο_ιστοχώρος_της_κοινότητας',
'about' => 'Σχετικά με',
'aboutsite' => 'Σχετικά με το {{SITENAME}}',
'aboutpage' => '{{ns:4}}:Σχετικά με',
'article' => 'Σελίδα κειμένου (ή άλλου περιεχομένου)',
'help' => 'Βοήθεια',
'helppage' => '{{ns:12}}:Περιεχόμενα',
#'wikititlesuffix' => '{{SITENAME}}',
'bugreports' => 'Αναφορές σφαλμάτων',
'bugreportspage' => '{{ns:4}}:Αναφορά_σφάλματος',
'sitesupport' => 'Υποστήριξη ιστοχώρου',
'sitesupport-url' => '{{ns:4}}:Υποστήριξη_ιστοχώρου',
'faq' => 'Συνήθεις ερωτήσεις (FAQ)',
'faqpage' => '{{ns:12}}:Συνήθεις ερωτήσεις (FAQ)',
'edithelp' => 'Βοήθεια σχετικά με την επεξεργασία',
'newwindow' => '(ανοίγει σε ξεχωριστό παράθυρο)',
'edithelppage' => '{{ns:12}}:Επεξεργασία',
'cancel' => 'Ακύρωση',
'qbfind' => 'Εύρεση',
'qbbrowse' => 'Περιήγηση',
'qbedit' => 'Επεξεργασία',
'qbpageoptions' => 'Αυτή η σελίδα',
'qbpageinfo' => 'Συμφραζόμενα',
'qbmyoptions' => 'Οι σελίδες μου',
'qbspecialpages' => 'Σελίδες λειτουργιών',
'moredotdotdot' => 'Περισσότερα...',
'mypage' => 'Η σελίδα μου',
'mytalk' => 'Οι συζητήσεις μου',
'anontalk' => 'Οι συζητήσεις αυτής της διεύθυνσης IP',
'navigation' => 'Πλοήγηση',


# Metadata in edit box
#---------------------------------#
'metadata' => '<b>Μεταδεδομένα</b> (επεξήγηση στο σύνδεσμο <a href="$1">here</a>)',
'metadata_page' => '{{ns:project}}:Μεταδεδομένα',

'currentevents' => 'Τρέχοντα γεγονότα',
'currentevents-url' => 'Τρέχοντα γεγονότα',

'disclaimers' => 'Αποποίηση ευθυνών',
'disclaimerpage' => '{{ns:4}}:Αποποίηση_ευθύνης',

'errorpagetitle' => 'Σφάλμα',
'returnto' => 'Επιστροφή στη σελίδα $1.',
'tagline' => 'Από {{SITENAME}}',
'whatlinkshere' => 'Αναφορές στη σελίδα',
'help' => 'Βοήθεια',
'search' => 'Αναζήτηση',
'go' => 'Μετάβαση',
'history_short' => 'Ιστορικό',
'info_short' => 'Πληροφορίες',
'printableversion' => 'Εκτυπώσιμη έκδοση',
'print' => 'Εκτύπωση',
'edit' => 'Επεξεργασία',
'editthispage' => 'Επεξεργασία αυτής της σελίδας',
'delete' => 'Διαγραφή',
'deletethispage' => 'Διαγραφή αυτής της σελίδας',
'undelete_short1' => 'Να αναστραφεί η διαγραφή μίας επεξεργασίας.',
'undelete_short' => 'Να αναστραφεί η διαγραφή $1 επεξεργασιών.',
'protect' => 'Προστασία',
'protectthispage' => 'Κλείδωμα της σελίδας',
'unprotect' => 'Άρση προστασίας',
'unprotectthispage' => 'Άρση προστασίας αυτής της σελίδας',
'newpage' => 'Νέα σελίδα',
'talkpage' => 'Συζήτηση για αυτή τη σελίδα',
'specialpage' => 'Σελίδα λειτουργιών',
'personaltools' => 'Προσωπικά εργαλεία',
'postcomment' => 'Καταχωρίστε ένα σχόλιο.',
'addsection' => '+',
'articlepage' => 'Εμφάνιση σελίδας κειμένου',
'subjectpage' => 'Εμφάνιση θέματος',
'talk' => 'Συζήτηση',
'views' => 'Εμφανίσεις',
'toolbox' => 'Εργαλεία',
'userpage' => 'Εμφάνιση σελίδας χρήστη',
'wikipediapage' => 'Εμφάνιση σελίδας βοήθειας',
'imagepage' => 'Εμφάνιση σελίδας εικόνων',
'viewtalkpage' => 'Εμφάνιση συζήτησης',
'otherlanguages' => 'Άλλες γλώσσες',
'redirectedfrom' => '(Ανακατεύθυνση από $1)',
'lastmodified' => 'Η σελίδα αυτή τροποποιήθηκε τελευταία φορά στις $1.',
'viewcount' => 'Αυτή η σελίδα έχει προσπελαστεί $1 φορές.',
'copyright' => 'Το περιεχόμενο είναι διαθέσιμο σύμφωνα με την $1.',
'poweredby' => 'Το {{SITENAME}} χρησιμοποιεί [http://www.mediawiki.org/|MediaWiki] -μια μηχανή Wiki ανοιχτού λογισμικού.',
'printsubtitle' => '(Προέλευση {{SERVER}})',
'protectedpage' => 'Κλειδωμένη σελίδα',
'administrators' => '{{ns:4}}:Διαχειριστές',

'sysoptitle' => 'Απαιτείται η πρόσβαση διαχειριστή.',
'sysoptext' => 'Το αίτημά σας αφορά σε ενέργεια 

που εκτελείται μόνον από διαχειριστές
 
(βλ.$1).',
'developertitle' => 'Απαιτείται η πρόσβαση των προγραμματιστών.',
'developertext' => 'Η ενέργεια αυτή μπορεί να εκτελείται μόνον από τους προγραμματιστές (βλ. $1).',
'badaccess' => 'Ακατάλληλη άδεια',

'badaccesstext' => 'Η ενέργεια που ζητήσατε μπορεί να εκτελεσθεί μόνον από χρήστες στους οποίους έχει δοθεί άδεια "$2".
Βλ. $1.',

'versionrequired' => 'Απαιτείται η έκδοση $1 του MediaWiki.',
'versionrequiredtext' => 'Για να χρησιμοποιήσετε αυτή τη σελίδα απαιτείται η έκδοση $1 του MediaWiki . Βλ. [[Special:Έκδοση]]',
'nbytes' => '$1 bytes',
#'ok' => 'OK',
'sitetitle' => '{{SITENAME}}',
'pagetitle' => "$1 - {{SITENAME}}",
#'sitesubtitle'	=> 'The Free Encyclopedia', # FIXME
'retrievedfrom' => 'Ανακτήθηκε από το "$1".',
'newmessages' => 'Έχετε $1.',
'newmessageslink' => 'νέο μήνυμα',
'editsection' => 'επεξεργασία',
'toc' => 'Πίνακας περιεχομένων',
'showtoc' => 'εμφάνιση',
'hidetoc' => 'απόκρυψη',
'thisisdeleted' => 'Εμφάνιση ή αποκατάσταση της $1;',
'restorelink' => '$1 επεξεργασίες έχουν διαγραφεί.',
'feedlinks' => 'Ροή δεδομένων:',
#'sitenotice' => '-', # the equivalent to wgSiteNotice


# Short words for each namespace, by default used in the 'article' tab in monobook
#---------------------------------------------------------------------------------------------------------------------------------#
'nstab-main' => 'Άρθρο',
'nstab-user' => 'Σελίδα χρήστη',
'nstab-media' => 'Ηλεκτρονικά μέσα',
'nstab-special' => 'Σελίδα λειτουργιών',
'nstab-wp' => 'Σχετικά με',
'nstab-image' => 'Εικόνα',
'nstab-mediawiki' => 'Μήνυμα',
'nstab-template' => 'Πρότυπο',
'nstab-help' => 'Βοήθεια',
'nstab-category' => 'Κατηγορία',

# Main script and global functions
#--------------------------------------------------#
'nosuchaction' => 'Δεν υπάρχει τέτοια ενέργεια.',
'nosuchactiontext' => 'Η ενέργεια που καθορίστηκε από την διεύθυνση URL δεν αναγνωρίζεται από το Wiki.',
'nosuchspecialpage' => 'Δεν υπάρχει τέτοια σελίδα λειτουργιών.',
'nospecialpagetext' => 'Έχετε ζητήσει μια ειδική σελίδα που δεν αναγνωρίζεται από το Wiki.',

# General errors
#------------------------#
'error' => 'Σφάλμα',
'databaseerror' => 'Σφάλμα στη βάση δεδομένων',

'dberrortext' => 'Σημειώθηκε συντακτικό σφάλμα σε αίτημα προς τη βάση δεδομένων. Πιθανόν να πρόκειται για ένδειξη σφάλματος στο λογισμικό. Το τελευταίο αίτημα προς τη βάση δεδομένων που επιχειρήθηκε ήταν: <blockquote><tt>$1</tt></blockquote> μέσα από τη λειτουργία "<tt>$2</tt>".  Το MySQL επέστρεψε σφάλμα "<tt>$3: $4</tt>".',

'dberrortextcl' => 'Σημειώθηκε συντακτικό σφάλμα σε αίτημα προς τη βάση δεδομένων. Το τελευταίο αίτημα που επιχειρήθηκε ήταν: "$1" μέσα από τη λειτουργία "$2". Το MySQL επέστρεψε σφάλμα "$3: $4".',
'noconnect' => 'Λυπούμαστε! Λόγω τεχνικών δυσκολιών το Wiki δεν μπορεί να επικοινωνήσει με τον server της βάσης δεδομένων. <br />

$1',

'nodb' => 'Αδύνατη η επιλογή της βάσης δεδομένων $1',
'cachederror' => 'Το ακόλουθο κείμενο προέρχεται από το προσωρινό αρχείο (cache) και πιθανόν να μην περιέχει τις πιο πρόσφατες αλλαγές.',
'laggedslavemode' => 'Προειδοποίηση: Η σελίδα μπορεί να μην έχει ενημερωθεί με τις πρόσφατες αλλαγές.<br/>',
'readonly' => 'Κλειδωμένη βάση δεδομένων',
'enterlockreason' => 'Εξηγήστε τους λόγους για το κλείδωμα και το πότε, κατά την εκτίμησή σας, το κλείδωμα αυτό θα αναιρεθεί.',

'readonlytext' => 'Η βάση δεδομένων είναι προσωρινά κλειδωμένη και δεν μπορεί να δεχθεί νέα λήμματα και άλλες τροποποιήσεις -πιθανότατα λόγω συντήρησης. Μετά τη συντήρηση θα επανέλθει σε κανονική λειτουργία.  Η αιτιολογία για το κλείδωμα της βάσης δεδομένων ήταν η εξής: <p>$1',

'missingarticle' => 'Η βάση δεδομένων δεν βρήκε το αναμενόμενο περιεχόμενο σελίδας κάτω από το όνομα "$1".

<p> Αυτό συμβαίνει όταν ακολουθούμε συνδέσμους μιας παλιάς \'αντιπαραβολής\' ή \'ίστορικού\' σε σελίδες που έχουν διαγραφεί. Αν δεν πρόκειται για τέτοια περίπτωση, είναι πιθανόν να υπάρχει σφάλμα στο λογισμικό. Σας παρακαλούμε να το αναφέρετε στους διαχειριστές, παραπέμποντας στο συγκεκριμένο URL.',

'readonly_lag' => 'Η βάση δεδομένων έχει κλειδωθεί αυτόματα για να μπορέσουν οι επιμέρους servers των αντιγράφων της βάσης δεδομένων (slaves) να καλύψουν τη διαφορά με τον κεντρικό server του πρωτοτύπου της βάσης (master).',

'internalerror' => 'Εσωτερικό σφάλμα',
'filecopyerror' => 'Δεν ήταν δυνατή η αντιγραφή του αρχείου "$1" στο "$2".',
'filerenameerror' => 'Δεν είναι δυνατή η μετονομασία του αρχείου "$1" σε "$2".',
'filedeleteerror' => 'Δεν ήταν δυνατή η διαγραφή του αρχείου "$1".',
'filenotfound' => 'Δεν είναι δυνατή η ανεύρεση του αρχείου "$1".',
'unexpected' => 'Μη προσδοκώμενη τιμή: "$1"="$2"',
'formerror' => 'Λάθος: Δεν ολοκληρώθηκε η υποβολή της φόρμας!',
'badarticleerror' => 'Η ενέργεια αυτή δεν μπορεί να εκτελεσθεί στη συγκεκριμένη σελίδα.',
'cannotdelete' => 'Αδύνατη η διαγραφή της συγκεκριμένης σελίδας ή εικόνας (Ενδεχομένως να έχει ήδη διαγραφεί από άλλο χρήστη.)',
'badtitle' => 'Ακατάλληλος τίτλος',
'badtitletext' => 'Ο τίτλος της σελίδας που ζητήσατε είναι άκυρος ή κενός ή πρόκειται για έναν εσφαλμένα συνδεδεμένο διαγλωσσικό τίτλο (ή εσφαλμένα συνδεδεμένο τίτλο ανάμεσα σε διαφορετικά Wiki).',
'perfdisabled' => 'Λυπούμαστε! Αυτή η λειτουργία έχει προσωρινά απενεργοποιηθεί επειδή επιβραδύνει τη βάση δεδομένων σε βαθμό που κανένας χρήστης δεν μπορεί να χρησιμοποιήσει το Wiki.',
'perfdisabledsub' => 'Αυτό είναι ένα αποθηκευμένο αντίγραφο της $1:',
'perfcached' => 'Τα δεδομένα που ακολουθούν είναι cached και είνα πιθανόν να μην είναι πλήρως ενημερωμένα:',

'wrong_wfQuery_params' => 'Λανθανσμένες παράμετροι στο wfQuery()<br />
Λειτουργία: $1<br />
Αίτημα: $2',

'viewsource' => 'Εμφάνιση κώδικα',

'protectedtext' => 'Η σελίδα αυτή είναι κλειδωμένη και δεν είναι δυνατή η επεξεργασία της. Για περισσότερες πληροφορίες σχετικά με τους λόγους για τους οποίους προστατεύεται η σελίδα, παρακαλούμε επισκεφθείτε το σύνδεσμο 
[[{{ns:4}}:Κλειδωμένες_σελίδες]].

Μπορείτε να δείτε και να αντιγράψετε τον πηγαίο κώδικα αυτής σελίδας:',

'sqlhidden' => '(το αίτημα SQL δεν εμφανίζεται)',


# Login and logout pages
#-------------------------------------#
'logouttitle' => 'Έξοδος χρήστη',
'logouttext' => 'Έχετε αποσυνδεθεί.
Μπορείτε να παραμείνετε στο {{SITENAME}} ανώνυμα, ή μπορείτε να συνδεθείτε ξανά με το ίδιο ή με διαφορετικό (εάν έχετε) όνομα χρήστη. Έχετε υπ\' όψη σας πως αρκετές σελίδες θα συνεχίσουν να εμφανίζονται κανονικά, σαν να μην έχετε αποσυνδεθεί, μέχρι να καθαρίσετε το cache του browser σας.',

'welcomecreation' => '== Καλώς ήλθατε, $1! ==

Ο λογαριασμός σας έχει δημιουργθεί. Μπορείτε να εξατομικεύσετε το {{SITENAME}} σύμφωνα με τις ανάγκες σας μέσα από το σύνδεσμο [[Special:Preferences|Προτιμήσεις]].',

'loginpagetitle' => 'Είσοδος χρήστη',
'yourname' => 'Όνομα χρήστη',
'yourpassword' => 'Κωδικός',
'yourpasswordagain' => 'Πληκτρολογήστε ξανά τον κωδικό',
'newusersonly' => '(μόνον νέοι χρήστες)',
'remembermypassword' => 'Διατήρηση του κωδικού πρόσβασης σε αυτόν τον υπολογιστή',
#'yourdomainname' => 'Your domain',
'externaldberror' => 'Συνέβη εξωτερικό σφάλμα πιστοποίησης στη βάση δεδομένων ή δεν σας έχει επιτραπεί να ενημερώσετε τον εξωτερικό σας λογαριασμό.',
'loginproblem' => '<b>Εμφανίστηκε πρόβλημα κατά την είσοδό σας.</b><br />Παρακαλούμε δοκιμάστε ξανά!',
'alreadyloggedin' => '<font color=red><b>Ο χρήστης $1, είναι ήδη συνδεδεμένος!</b></font><br />',
'login' => 'Είσοδος',
'loginprompt' => 'Πρέπει να έχετε ενεργοποιήσει τα cookies για να συνδεθείτε στο {{SITENAME}}.',
'userlogin' => 'Δημιουργία Λογαριασμού/Είσοδος',
'logout' => 'Έξοδος',
'userlogout' => 'Έξοδος χρήστη',
'notloggedin' => 'Δεν έχετε συνδεθεί.',
'createaccount' => 'Δημιουργία νέου λογαριασμού',
'createaccountmail' => 'Με ηλεκτρονικό ταχυδρομείο',
'badretype' => 'Οι κωδικοί που έχετε δηλώσει δεν συμφωνούν μεταξύ τους.',
'userexists' => 'Το όνομα χρήστη που συμπληρώσατε είναι ήδη σε χρήση. Παρακαλούμε διαλέξτε ένα άλλο όνομα.',
'youremail' => 'Ηλεκτρονική διεύθυνση*',
'yourrealname' => 'Όνομα και επώνυμο*',
'yourlanguage' => 'Γλώσσα διασύνδεσης',
'yourvariant' => 'Η γλώσσα που χρησιμοποιείτε',
'yournick' => 'Το ψευδώνυμό σας (για την υπογραφή)',
'email' => 'αλληλογραφία',

'emailforlost' => 'Τα πεδία που σημειώνονται με αστερίσκο (*) είναι προαιρετικά. Αφήνοντας μια ηλεκτρονική διεύθυνση στο αρχείο δίνετε τη δυνατότητα σε άλλους χρήστες να επικοινωνήσουν μαζί σας μέσω αυτής της ιστοσελίδας, χωρίς η διεύθυνσή σας να εμφανίζεται δημόσια. Η ηλεκτρονική σας διεύθυνση μπορεί επίσης να χρησιμοποιηθεί για να σας σταλεί ένας νέος κωδικός πρόσβασης αν κάποτε τον χάσετε. Το πραγματικό σας όνομα, αν επιλέξετε να μας το δώσετε, θα χρησιμοποιηθεί μόνον για την αναγνώριση της συνεισφοράς σας.',

'prefs-help-email-enotif' => 'Αυτή η διεύθυνση χρησιμοποιείται για να σας αποστέλλονται ειδοποιήσεις εφόσον έχετε ενεργοποιήσει τις σχετικές επιλογές.',
'prefs-help-realname' => '* Πραγματικό όνομα (προαιρετικό): εφόσον εισάγετε το όνομά σας, αυτό θα μπορεί να χρησιμοποιηθεί για να αναγνωριστεί ευρύτερα η δουλειά σας.',
'loginerror' => 'Λάθος σύνδεσης',

'prefs-help-email' => '* Email (προαιρετικό): Δίνει τη δυνατότητα σε άλλους χρήστες να επικοινωνήσουν μαζί σας μέσω της σελίδας χρήστη (ή της συζήτησης για την σελίδα χρήστη) χωρίς να εμφανίζεται η ταυτότητά σας.',

'nocookiesnew' => 'Ο λογαριασμός χρήστη έχει δημιουργηθεί, αλλά δεν έχετε ακόμα συνδεθεί. Το {{SITENAME}} χρησιμοποιεί cookies κατά τη σύνδεση των χρηστών. Τα cookies είναι απενεργοποιημένα στον υπολογιστή σας. Παρακαλούμε ενεργοποιήστε τα και στη συνέχεια συνδεθείτε χρησιμοποιώντας το νέο όνομα χρήστη σας και τον κωδικό σας.',

'nocookieslogin' => 'Το {{SITENAME}} χρησιμοποιεί cookies κατά τη σύνδεση των χρηστών. Τα cookies είναι απενεργοποιημένα στον υπολογιστή σας. Παρακαλούμε ενεργοποιήστε τα και ξαναδοκιμάστε!',
'noname' => 'Το όνομα χρήστη που έχετε καθορίσει δεν είναι έγκυρο.',
'loginsuccesstitle' => 'Επιτυχής σύνδεση',
'loginsuccess' => 'Είστε συνδεδεμένος(-η) στο {{SITENAME}} ως "$1".',

'nosuchuser' => 'Δεν υπάρχει χρήστης με το όνομα "$1".
Ελέγξτε την ορθογραφία ή χρησιμοποιείστε την παρακάτω φόρμα για να δημιουργήσετε ένα νέο λογαριασμό.',

'nosuchusershort' => 'Δεν υπάρχει χρήστης με το όνομα "$1". Παρακαλούμε ελέγξτε την ορθογραφία.',
'wrongpassword' => 'Ο κωδικός που πληκτρολογήσατε είναι λανθασμένος. Παρακαλούμε προσπαθήστε ξανά.',
'mailmypassword' => 'Στείλτε μου ένα νέο κωδικό.',
'passwordremindertitle' => 'Υπενθύμιση κωδικού από το {{SITENAME}}',

'passwordremindertext' => 'Κάποιος (πιθανώς εσείς) με διεύθυνση IP $1, ζήτησε να σας στείλουμε ένα νέο κωδικό πρόσβασης στο {{SITENAME}}. Ο κωδικός πρόσβασης για το χρήστη "$2" είναι αυτή τη στιγμή "$3". Συνιστούμε να συνδεθείτε και να αλλάξετε αυτόν τον κωδικό το συντομότερο δυνατόν.',

'noemail' => 'Δεν υπάρχει ηλεκτρονική διεύθυνση για το χρήστη "$1".',

'passwordsent' => 'Σας έχει σταλεί ένας νέος κωδικός στην ηλεκτρονική διέθυνση που δηλώσατε για "$1".
Σας παρακαλούμε να ξανασυνδεθείτε μόλις τον λάβετε.',

'eauthentsent' => 'Ένα μήνυμα επαλήθευσης έχει σταλεί στην ηλεκτρονική διεύθυνση που έχετε δηλώσει στο σύστημα. Πριν αρχίσει η αποστολή μηνυμάτων στη συγκεκριμένη διεύθυνση, πρέπει να ακολουθήσετε τις οδηγίες που βρίσκονται στο μήνυμα που σας έχει σταλεί για να επαληθεύσετε ότι η συγκεκριμένη ηλεκτρονική διεύθυνση ανήκει πραγματικά σε εσάς. ',

'loginend' => '&nbsp;',
'mailerror' => 'Λάθος στην αποστολή του μηνύματος: $1',
'acct_creation_throttle_hit' => 'Λυπούμαστε, έχετε ήδη δημιουργήσει $1 λογαριασμούς και δεν μπορείτε να δημιουργήσετε άλλους.',
'emailauthenticated' => 'Η ηλεκτρονική σας διεύθυνση επιβεβαιώθηκε στις $1.',

'emailnotauthenticated' => 'Η ηλεκτρονική σας διεύθυνση δεν έχει επαληθευθεί ακόμα. Μέχρι να ολοκληρώσετε την επαλήθευση της διεύθυνσής σας, δεν είναι δυνατόν το σύστημα να σας αποστείλει αλληλογραφία για καμμία από τις ακόλουθες λειτορυγίες.',

'noemailprefs' => '<strong>Δεν έχει ορισθεί ηλεκτρονική διέυθυνση</strong>, οι λειτουργίες που ακολουθούν δεν θα είναι δυνατόν να ολοκληρωθούν.',
'emailconfirmlink' => 'Επαληθεύστε την ηλεκτρονική σας διεύθυνση',
'invalidemailaddress' => 'Η ηλεκτρονική διεύθυνση δεν έγινε δεκτή γιατί ενδεχομένως δεν είχε έγκυρη μορφή. Παρακαλούμε συμπληρώστε μια σωστά διαμορφωμένη διεύθυνση ή αφήστε το πεδίο κενό.',


# Edit page toolbar
#----------------------------#
'bold_sample' => 'Έντονο κείμενο',
'bold_tip' => 'Έντονο κείμενο',

'italic_sample' => 'Κείμενο με πλάγιους χαρακτήρες',
'italic_tip' => 'Κείμενο με πλάγιους χαρακτήρες',

'link_sample' => 'Τίτλος συνδέσμου',
'link_tip' => 'Εσωτερικός σύνδεσμος',

'extlink_sample' => 'http://www.paradeigma.com τίτλος συνδέσμου',
'extlink_tip' => 'Εξωτερικός σύνδεσμος (μην ξεχάστε το πρόθεμα http:// )',

'headline_sample' => 'Κείμενο τίτλου',
'headline_tip' => 'Δεύτερος τίτλος (επίπεδο 2)',

'math_sample' => 'Εισαγωγή τύπου εδώ',
'math_tip' => 'Μαθηματικός τύπος (LaTeX)',

'nowiki_sample' => 'Εισάγετε εδώ το μη μορφοποιημένο κείμενο.',
'nowiki_tip' => 'Να αγνοηθεί η μορφοποίηση Wiki.',

'image_sample' => 'paradeigma.jpg',
'image_tip' => 'Ενσωματωμένη εικόνα',

'media_sample' => 'paradeigma.mp3',
'media_tip' => 'Σύνδεσμος αρχείου πολυμέσων',

'sig_tip' => 'Υπογραφή με ημερομηνία',
'hr_tip' => 'Οριζόντια γραμμή (να χρησιμοποιείται με μέτρο!)',

'infobox' => 'Πατήσετε κάποιο κουμπί για να δείτε ένα παράδειγμα κειμένου',
# alert box shown in browsers where text selection does not work, test e.g. with mozilla or konqueror
'infobox_alert' => 'Παρακαλούμε εισάγετε το κείμενο που θέλετε να μορφοποιήσετε.
 Θα εμφανιστεί στο πλαίσιο για αντιγραφή και επικόλληση.
Παράδειγμα:
Το $1
θα γίνει:
$2',


# Edit pages
#-----------------#
'summary' => 'Σύνοψη',
'subject' => 'Θέμα/επικεφαλίδα',
'minoredit' => 'Αλλαγή μικρής κλίμακας',
'watchthis' => 'Παρακολούθηση αυτής της σελίδας',
'savearticle' => 'Αποθήκευση σελίδας',
'preview' => 'Προεπισκόπηση',
'showpreview' => 'Προεπισκόπηση',
'showdiff' => 'Δείτε τις αλλαγές',
'blockedtitle' => 'Ο χρήστης έχει υποστεί φραγή.',

'blockedtext' => 'Το όνομα χρήστη ή η διεύθυνση IP σας έχει υποστεί φραγή από τον/την $1 με την αιτιολογία :<br />\'\'$2\'\'<p> Μπορείτε να απευθυνθείτε στον/στην $1 ή σε κάποιον άλλον από τους [[{{ns:4}}:Διαχειριστές |διαχειριστές]] για να συζητήσετε το πρόβλημα.

Έχετε υπ\' όψη σας ότι δεν μπορείτε να χρησιμοποιήσετε τη δυνατότητα "αποστολή e-mail σε χρήστη" εκτός αν έχετε μια έγκυρη διεύθυνση e-mail δηλωμένη στις [[Special:Preferences|Προτιμήσεις χρήστη]].

<br>
<br>Η διεύθυνση IP σας είναι: $3. Παρακαλούμε να την αναφέρετε σε κάθε σας αίτημα.',

'whitelistedittitle' => 'Για να επεξεργαστείτε μια σελίδα πρέπει πρώτα να συνδεθείτε.',
'whitelistedittext' => 'Πρέπει να [[Special:Userlogin|συνδεθείτε]] για να επεξεργαστείτε μια σελίδα.',
'whitelistreadtitle' => 'Για να διαβάσετε πρέπει πρώτα να συνδεθείτε.',
'whitelistreadtext' => 'Πρέπει να [[Special:Userlogin|συνδεθείτε]] για να διαβάσετε σελίδες.',
'whitelistacctitle' => 'Δεν έχετε το δικαίωμα να δημιουργήσετε λογαριασμό.',
'whitelistacctext' => 'Για να σας επιτραπεί η δημιουργία λογαριασμού σε αυτό το Wiki πρέπει να [[Special:Userlogin|συνδεθείτε]] και να κατέχετε την κατάλληλη άδεια.',
'loginreqtitle' => 'Απαιτείται η σύνδεση του χρήστη.',
'loginreqtext' => 'Πρέπει να [[Special:Userlogin|συνδεθείτε]] για να δείτε άλλες σελίδες.',
'accmailtitle' => 'Ο κωδικός έχει σταλεί.',
'accmailtext' => 'Ο κωδικός για τον/την \'$1\' έχει σταλεί στο $2.',
'newarticle' => '(Νέο)',

'newarticletext' => 'Έχετε ακολουθήσει ένα σύνδεσμο που δεν υπάρχει ακόμα. Για να δημιουργήσετε μια νέα σελίδα εδώ, αρχίστε να γράφετε το κείμενό σας στο πλαίσιο.(Βλ. [[{{ns:12}}:Περιεχόμενα|Σελίδα βοήθειας]] για περισσότερες πληροφορίες).
Αν έχετε βρεθεί εδώ κατά λάθος, απλώς πατήστε \'\'\'επιστροφή (back)\'\'\' στον browser του υπολογιστή σας.',

#'talkpagetext' => '<!-- MediaWiki:talkpagetext -->',

'anontalkpagetext' => '----\'\'Αυτή η σελίδα συζήτησης προορίζεται για ανώνυμους χρήστες που δεν έχουν δημιουργήσει ακόμα λογαριασμό (ή που δεν τον χρησιμοποιούν). Έτσι για την ταυτοποίηση ενός ανώνυμου χρήστη χρησιμοποιείται η [[{{ns:12}}:διεύθυνση IP  |διεύθυνση IP ]] του. Είναι όμως πιθανόν η διεύθυνση αυτή να είναι κοινή για πολλούς διαφορετικούς χρήστες (όπως π.χ. για τους χρήστες ενός Internet Cafe ή ενός [[{{ns:12}}:proxy server|proxy server]]). Αν είστε ανώνυμος χρήστης και έχετε δεχθεί σχόλια άσχετα με τα θέματά σας (κάτι που μπορεί να συμβεί αν χρησιμοποιείτε την ίδια [[{{ns:12}}:διεύθυνση IP|διεύθυνση IP]] με κάποιον άλλο ανώνυμο χρήστη) θα ήταν καλό να [[Special:Userlogin|δημιουργήσετε ένα λογαριασμό χρήστη ή να συνδεθείτε]] για να αποφεύγεται η σύγχυση\'\'.',

'noarticletext' => '(Δεν υπάρχει κείμενο στη σελίδα)',

'clearyourcache' => '\'\'\'Σημείωση:\'\'\' Μετά την αποθήκευση, θα χρειαστεί να καθαρίσετε  το cache στον browser για να μπορέσετε να δείτε τις αλλαγές: \'\'\'Mozilla:\'\'\' click \'\'Reload\'\' (or \'\'Ctrl-R\'\'), \'\'\'IE / Opera:\'\'\' \'\'Ctrl-F5\'\', \'\'\'Safari:\'\'\' \'\'Cmd-R\'\', \'\'\'Konqueror\'\'\' \'\'Ctrl-R\'\'.<br/>',

'usercssjsyoucanpreview' => '<strong>Χρήσιμη συμβουλή:</strong> Χρησιμοποιήστε το κουμπί "Προεπισκόπηση" για να ελέγξτε τα νέα σας CSS/JS πριν τα αποθηκεύσετε.',
'usercsspreview' => '\'\'\'Σας υπενθυμίζουμε ότι κάνετε απλώς έλεγχο/προεπισκόπηση του CSS του χρήστη -δεν το έχετε ακόμα αποθηκεύσει! \'\'\'',
'userjspreview' => '\'\'\'Σας υπενθυμίζουμε ότι κάνετε απλώς έλεγχο/προεπισκόπηση του JavaScript του χρήστη -δεν το έχετε ακόμα αποθηκεύσει!\'\'\'',
'updated' => '(Ενημερώθηκε.)',
'note' => '<strong>Προσοχή: </strong>',
'previewnote' => 'Σας υπενθυμίζουμε ότι βλέπετε μόνον την προεπισκόπηση -δεν έχετε ακόμα αποθηκεύσει τις αλλαγές σας!',
'previewconflict' => 'Αυτή η προεπισκόπηση απεικονίζει το κείμενο στην επάνω περιοχή επεξεργασίας κειμένου, όπως θα εμφανιστεί εάν επιλέξετε να το αποθηκεύσετε.',
'editing' => 'Επεξεργασία $1',
'editingsection' => 'Επεξεργασία $1 (τμήμα)',
'editingcomment' => 'Επεξεργασία $1 (σχόλια)',
'editconflict' => 'Ανταγωνιστικές επεξεργασίες: $1',

'explainconflict' => 'Κάποιος άλλος χρήστης έχει αλλάξει αυτή τη σελίδα από τότε που αρχίσατε να την επεξεργάζεστε. Στο επάνω τμήμα βρίσκεται το τρέχον κείμενο της σελίδας. Οι δικές σας αλλαγές εμφανίζονται στο κάτω τμήμα. Θα πρέπει να ενσωματώσετε εσείς τις αλλαγές σας στο τρέχον κείμενο. <b>Μόνον</b> το επάνω τμήμα θα αποθηκευθεί όταν πατήσετε "Αποθήκευση σελίδας".<p>',

'yourtext' => 'Το κείμενό σας',
'storedversion' => 'Αποθηκευμένη έκδοση',

'nonunicodebrowser' => '<strong>ΠΡΟΣΟΧΗ! Ο browser σας δεν είναι συμβατός με unicode. Παρακαλούμε χρησιμοποιήστε έναν άλλο browser για επεξεργαστείστε αυτό το άρθρο έτσι ώστε να αποδοθούν σωστά όλοι οι ελληνικοί χαρακτήρες. </strong><br/>',

'editingold' => '<strong>ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Επεξεργάζεστε μια παλιότερη αναθεώρηση αυτής της σελίδας. Αν προσπαθείστε να την αποθηκεύσετε, όσες αλλαγές έχουν γίνει πριν από αυτή την αναθεώρηση θα χαθούν.</strong><br/>',

'yourdiff' => 'Διαφορές',

'copyrightwarning' => 'Ολες οι προσθήκες/ αλλαγές στο {{SITENAME}} θα πρέπει να συμφωνούν με την $2 (Βλ. $1 για λεπτομέρειες).
Αν δεν επιθυμείτε τα κείμενά σας να τα επεξεργαστούν κατά την κρίση τους άλλοι χρήστες και να τα διαδώσουν κατά βούληση παρακαλούμε να μην τα αναρτήσετε σε αυτό το χώρο. Ότι συνεισφέρετε στο χώρο αυτό σε κείμενα, διαγράμματα, στοιχεία ή εικόνες πρέπει να είναι δικά σας έργα ή να ανήκουν στο δημόσιο τομέα (public domain) ή να προέρχονται από ελεύθερες ή ανοιχτές πηγές με ρητή άδεια αναδημοσίευσης. <br />

Τέλος μας υπόσχεστε και δηλώνετε πως ότι γράφετε σε αυτό τον χώρο είναι πρωτότυπο δικό σας έργο και, άσχετα με την έκτασή του, δεν έχει εκχωρηθεί σε τρίτους η δημοσίευση και η εκμετάλλευσή του. 
<strong>ΠΑΡΑΚΑΛΟΥΜΕ ΝΑ ΜΗΝ ΑΝΑΡΤΗΣΕΤΕ ΚΕΙΜΕΝΑ ΤΡΙΤΩΝ ΕΑΝ ΔΕΝ ΕΧΕΤΕ ΤΗΝ ΑΔΕΙΑ ΤΟΥ ΙΔΙΟΚΤΗΤΗ ΤΟΥ COPYRIGHT!</strong>',

'copyrightwarning2' => 'Έχετε υπ\' όψη σας ότι όλες οι προσθήκες/αλλαγές που κάνετε στο {{SITENAME}} μπορούν να υποστούν επεξεργασία και αλλαγές ή ακόμα και να διαγραφούν από άλλους χρήστες.
Αν δεν επιθυμείτε τα κείμενά σας να τα επεξεργαστούν κατά την κρίση τους άλλοι χρήστες και να τα διαδώσουν κατά βούληση παρακαλούμε να μην τα αναρτήσετε σε αυτό το χώρο. Ότι συνεισφέρετε στο χώρο αυτό σε κείμενα, διαγράμματα, στοιχεία ή εικόνες πρέπει να είναι δικά σας έργα ή να ανήκουν στο δημόσιο τομέα (public domain) ή να προέρχονται από ελεύθερες ή ανοιχτές πηγές με ρητή άδεια αναδημοσίευσης. <br />
Τέλος μας υπόσχεστε και δηλώνετε πως ότι γράφετε σε αυτό τον χώρο είναι πρωτότυπο δικό σας έργο και, άσχετα με την έκτασή του, δεν έχει εκχωρηθεί σε τρίτους η δημοσίευση και η εκμετάλλευσή του. 
<strong>ΠΑΡΑΚΑΛΟΥΜΕ ΝΑ ΜΗΝ ΑΝΑΡΤΗΣΕΤΕ ΚΕΙΜΕΝΑ ΤΡΙΤΩΝ ΕΑΝ ΔΕΝ ΕΧΕΤΕ ΤΗΝ ΑΔΕΙΑ ΤΟΥ ΙΔΙΟΚΤΗΤΗ ΤΟΥ COPYRIGHT!</strong>',

'longpagewarning' => 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Η σελίδα έχει μέγεθος $1kb. Είναι πιθανόν μερικοί browser να παρουσιάσουν προβλήματα στην επεξεργασία σελίδων της τάξης των 32kb και άνω. Μπορείτε να αποφύγετε το πρόβλημα κόβωντας τη σελίδα σε μικρότερα τμήματα.<br/>',

'readonlywarning' => 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ: Η βάση δεδομένων έχει κλειδωθεί προσωρινά για συντήρηση και δεν θα μπορέσετε να αποθηκεύσετε αυτά που έχετε επεξεργαστεί.  Μπορείτε αν θέλετε να αποθηκεύσετε το κείμενο στον υπολογιστή σας (με αποκοπή-και-επικόλληση) και να το ξαναχρησιμοποιήσετε αργότερα όταν η συντήρηση θα έχει ολοκληρωθεί.',

'protectedpagewarning' => 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ:  Η σελίδα αυτή έχει κλειδωθεί -η οποιαδήποτε επεξεργασία της μπορεί να γίνει μόνον από διαχειριστές. Βεβαιωθείτε πως ακολουθείτε [[{{ns:4}}:Σελίδες_υπό_προστασία|τους κανόνες για τις υπό προστασία σελίδες]].<br/>',

'templatesused' => 'Πρότυπα που χρησιμοποιήθηκαν στη σελίδα αυτή:',


# History pages
#----------------------#
'revhistory' => 'Ιστορικό αναθεωρήσεων',
'nohistory' => 'Δεν υπάρχει ιστορικό επεξεργασίας για αυτή τη σελίδα.',
'revnotfound' => 'Η αναθεώρηση δεν βρέθηκε.',
'revnotfoundtext' => 'Η παλιά αναθεώρηση της σελίδας που ζητήσατε δεν ήταν δυνατόν να βρεθεί. Παρακαλούμε ελέγξτε τo URL που χρησιμοποιήσατε για να φτάσετε σε αυτήν τη σελίδα.',
'loadhist' => 'Φόρτωση ιστορικού σελίδας',
'currentrev' => 'Τρέχουσα αναθεώρηση',
'revisionasof' => 'Αναθεώρηση της $1',
'revisionasofwithlink' => 'Αναθεώρηση της $1; $2<br />$3 | $4',
'previousrevision' => '&larr;Παλιότερη αναθεώρηση',
'nextrevision' => 'Νεώτερη αναθεώρηση&rarr;',
'currentrevisionlink' => 'εμφάνιση της τρέχουσας αναθεώρησης',
'cur' => 'τρέχουσα',
'next' => 'επόμενη',
'last' => 'τελευταία',
'orig' => '\'πρωτότυπη\'',

'histlegend' => 'Σύγκριση διαφορών: Επιλέξτε τις εκδόσεις που θέλετε να συγκρίνετε και πατήστε enter ή κάντε κλικ στην μπάρα "Σύγκριση...". <br />
Υπόμνημα: (τρέχον) = διαφορές με την τρέχουσα έκδοση,
(τελευταίο) = διαφορές με την προηγούμενη έκδοση, μ = αλλαγές μικρής κλίμακας.',

#'history_copyright' => '-',
'deletedrev' => '[διαγράφτηκε]',
'histfirst' => 'Η πιο παλιά',
'histlast' => 'Η πιο πρόσφατη',


# Diffs
#--------#
'difference' => '(Διαφορές μεταξύ αναθεωρήσεων)',
'loadingrev' => 'φόρτωση αναθεώρησης για \'σύγκριση\'',
'lineno' => 'Γραμμή $1:',
'editcurrent' => 'Επεξεργασία της τρέχουσας έκδοσης της σελίδας',
'selectnewerversionfordiff' => 'Επιλέξτε μια πιο πρόσφατη έκδοση για σύγκριση.',
'selectolderversionfordiff' => 'Επιλέξτε μια παλιότερη έκδοση για σύγκριση.',
'compareselectedversions' => 'Σύγκριση των εκδόσεων που έχουν επιλεγεί',


# Search results
#------------------------#
'searchresults' => 'Αποτελέσματα αναζήτησης',
'searchresulttext' => 'Για περισσότερες πληροφορίες σχετικά με την αναζήτηση στο {{SITENAME}}, βλ. [[{{ns:12}}:Αναζήτηση|Αναζήτηση στο {{SITENAME}}]].',
'searchquery' => 'Κριτήρια αναζήτησης: "$1"',
'badquery' => 'Λανθασμένη μορφή αιτήματος αναζήτησης',

'badquerytext' => 'Το σύστημα δεν μπόρεσε να επεξεργαστεί το αίτημα σας. Αυτό πιθανόν οφείλεται στο ότι αναζητήσατε μια λέξη με λιγότερα από τρία γράμματα (κάτι που δεν υποστηρίζεται προς το παρόν). Μπορεί επίσης να οφείλεται σε λάθος πληκτρολόγησης π.χ. "Διάλογος και διαλούβευση". Παρακαλoύμε δοκιμάστε πάλι.',

'matchtotals' => 'Το αίτημα "$1" βρήκε $2 παρόμοιους τίτλους σελίδων και παρόμοιο κείμενο σε $3 σελίδες',
'nogomatch' => 'Δεν υπάρχει καμμία σελίδα με αυτόν ακριβώς τον τίτλο -έγινε αναζήτηση με το πλήρες κείμενο.',
'titlematches' => 'Τίτλοι άρθρων που ανταποκρίνονται',
'notitlematches' => 'Δεν υπάρχουν αντίστοιχοι τίτλοι σελίδων.',
'textmatches' => 'Κείμενα σελίδων που ανταποκρίνονται:',
'notextmatches' => 'Δεν υπάρχουν αντίστοιχα κείμενα σελίδων.',
'prevn' => '$1 προηγουμένων',
'nextn' => '$1 επομένων',
'viewprevnext' => 'Εμφάνιση ($1) ($2) ($3).',
'showingresults' => 'Εμφάνιση <b>$1</b> αποτελεσμάτων που αρχίζουν με #<b>$2</b>',
'showingresultsnum' => 'Εμφάνιση <b>$3</b> αποτελεσμάτων που αρχίζουν με #<b>$2</b>',

'nonefound' => '\'\'\'Σημείωση\'\'\': Οι ανεπιτυχείς αναζητήσεις οφείλονται συνήθως στο ότι έχουμε συμπεριλάβει στα κριτήρια πολύ συνηθισμένες λέξεις, όπως "έχει" ή "από" (που δεν υπάρχουν στο ευρετήριο) ή στο ότι προκαθορίσαμε πολλά κριτήρια αναζήτησης ταυτοχρόνως. (Στην τελευταία περίπτωση, μόνον οι σελίδες που περιέχουν \'\'όλα\'\' τα κριτήρια αναζήτησης θα εμφανιστούν στα αποτελέσματα).<br/>',

'powersearch' => 'Αναζήτηση',

'powersearchtext' => 'Αναζήτηση στις περιοχές :<br />

$1<br />
$2 Εμφάνιση ανακατευθύνσεων &nbsp; Κριτήρια αναζήτησης $3 $9',

'googlesearch' => '
<div style="margin-left: 2em">

<!-- Google search -->
<div style="width:130px;float:left;text-align:center;position:relative;top:-8px"><a href="http://www.google.com/" style="padding:0;background-image:none"><img src="http://www.google.com/logos/Logo_40wht.gif" alt="Google" style="border:none" /></a></div>

<form method="get" action="http://www.google.com/search" style="margin-left:135px">
  <div>
    <input type="hidden" name="domains" value="{{SERVER}}" />
    <input type="hidden" name="num" value="50" />

    <input type="hidden" name="ie" value="$2" />
    <input type="hidden" name="oe" value="$2" />
    
    <input type="text" name="q" size="31" maxlength="255" value="$1" />
    <input type="submit" name="btnG" value="Google Search" />
  </div>
  <div style="font-size:90%">
    <input type="radio" name="sitesearch" id="gwiki" value="{{SERVER}}" checked="checked" /><label for="gwiki">{{SITENAME}}</label>
    <input type="radio" name="sitesearch" id="gWWW" value="" /><label for="gWWW">WWW</label>

  </div>
</form>

</div>',
'blanknamespace' => '(Αρχική περιοχή)',


# Preferences page
#-----------------------------#
'preferences' => 'Προτιμήσεις',
'prefsnologin' => 'Δεν έχετε συνδεθεί.',

'prefsnologintext' => 'Πρέπει να έχετε [[Special:Userlogin|συνδεθεί]]
για να καθορίσετε τις προτιμήσεις χρήστη.',

'prefslogintext' => 'Έχετε συνδεθεί ως "$1".
Ο εσωτερικός σας αριθμός ταυτοποίησης (ID) είναι $2.

Στον παρακάτω σύνδεσμο θα βρείτε πληροφορίες για το πώς θα "αποκρυπτογραφήσετε" τις διάφορες επιλογές: 
[[{{ns:12}}:Προτιμήσεις_Χρηστών]]',

'prefsreset' => 'Οι προτιμήσεις σας έχουν αποκατασταθεί σύμφωνα με την αποθηκευμένη έκδοσή τους.',
#'qbsettings' => 'Quickbar',
'changepassword' => 'Αλλαγή κωδικού',
'skin' => 'Οπτική οργάνωση (skin)',
'math' => 'Απόδοση μαθηματικών',
'dateformat' => 'Μορφή ημερομηνίας',
'math_failure' => 'Δεν μπόρεσε να γίνει ανάλυση του όρου.',
'math_unknown_error' => 'Άγνωστο λάθος',
'math_unknown_function' => 'άγνωστη συνάρτηση',
'math_lexing_error' => 'Σφάλμα στην λεξική ανάλυση',
'math_syntax_error' => 'Λάθος σύνταξης',
'math_image_error' => 'Η μετατροπή σε PNG απέτυχε. Παρακαλούμε ελέγξτε ότι έχουν εγκατασταθεί σωστά τα latex, dvips, gs, και ξαναπροσπαθήστε!',
'math_bad_tmpdir' => 'Δεν είναι δυνατή η δημιουργία μαθηματικών δεδομένων (ή η εγγραφή σε προσωρινό κατάλογο) ',
'math_bad_output' => 'Δεν είναι δυνατή η δημιουργία  μαθηματικών δεδομένων (ή η εγγραφή σε κατάλογο εξόδου)',
'math_notexvc' => 'Αγνοείται το εκτελέσιμο texvc -παρακαλούμε συμβουλευτείτε το math/README για να ρυθμίσετε τις παραμέτρους.',
'prefs-personal' => 'Στοιχεία χρήστη',
'prefs-rc' => 'Πρόσφατες αλλαγές και εμφάνιση πολύ σύντομων άρθρων',
'prefs-misc' => 'Διάφορες ρυθμίσεις',
'saveprefs' => 'Αποθήκευση προτιμήσεων',
'resetprefs' => 'Επαναφορά προτιμήσεων',
'oldpassword' => 'Παλιός κωδικός',
'newpassword' => 'Νέος κωδικός πρόσβασης',
'retypenew' => 'Πληκτρολογήστε ξανά το νέο κωδικό.',
'textboxsize' => 'Επεξεργασία',
'rows' => 'Σειρές',
'columns' => 'Στήλες',
'searchresultshead' => 'Αποτελέσματα αναζήτησης/Ρυθμίσεις',
'resultsperpage' => 'Αποτελέσματα ανά σελίδα',
'contextlines' => 'Σειρές που θα εμφανίζονται ανά αποτέλεσμα',
'contextchars' => 'Αριθμός χαρακτήρων στο εμφανιζόμενο κείμενο',
'stubthreshold' => 'Ελάχιστο μέγεθος πολύ σύντομων σελίδων (stub)',
'recentchangescount' => 'Αριθμός τίτλων στις πρόσφατες αλλαγές',
'savedprefs' => 'Οι προτιμήσεις σας έχουν αποθηκευθεί.',
'timezonelegend' => 'Ζώνη ώρας (Time zone)',
'timezonetext' => 'Συμπληρώστε τον αριθμό των ωρών κατά τις οποίες η τοπική σας ώρα διαφέρει από την ώρα του server (UTC).',
'localtime' => 'Εμφάνιση τοπικής ώρας',
'timezoneoffset' => 'Διαφορά ωρών',
'servertime' => 'Η ώρα του server είναι:',
'guesstimezone' => 'Συμπλήρωση μέσω του browser',
'emailflag' => 'Απενεργοποίηση ηλεκτρονικού ταχυδρομείου από άλλους χρήστες',
'defaultns' => 'Προκαθορισμένη αναζήτηση στις περιοχές:',
'default' => 'Προκαθορισμένο',
'files' => 'Αρχεία',


# User levels special page
#--------------------------------------#

# switching pan
'groups-lookup-group' => 'Διαχείριση των δικαιωμάτων της ομάδας',
'groups-group-edit' => 'Υπάρχουσες ομάδες:',
'editgroup' => 'Ομάδα επεξεργασίας',
'addgroup' => 'Προσθήκη ομάδας',

'userrights-lookup-user' => 'Διαχείριση ομάδων χρηστών',
'userrights-user-editname' => 'Δηλώστε όνομα χρήστη:',
'editusergroup' => 'Επεξεργασία \'Ομάδα Χρηστών\'',

# group editing
'groups-editgroup' => 'Επεξεργασία ομάδας',
'groups-addgroup' => 'Προσθήκη ομάδας',

'groups-editgroup-preamble' => 'Εαν το όνομα της περιγραφής αρχίζει με άνω-κάτω τελεία, το υπόλοιπο του ονόματος θα εκληφθεί ως τίτλος μηνύματος και, για το λόγο αυτό, το κείμενο θα χωροθετηθεί με βάση το όνομα της περιοχής MediaWiki',

'groups-editgroup-name' => 'Επωνυμία ομάδας:',
'groups-editgroup-description' => 'Περιγραφή ομάδας (max 255 χαρακτήρες):<br />',
'savegroup' => 'Αποθήκευση ομάδας',
'groups-tableheader' => 'ID || Επωνυμία|| Περιγραφή || Δικαιώματα',
'groups-existing' => 'Υπάρχουσες ομάδες',
'groups-noname' => 'Παρακαλούμε δηλώστε μία έγκυρη επωνυμία ομάδας',
'groups-already-exists' => 'Υπάρχει ήδη ομάδα με αυτό το όνομα',
'addgrouplogentry' => 'H ομάδα $2 έχει προστεθεί.',
'changegrouplogentry' => 'Η ομάδα $2 έχει υποστεί αλλαγή.',
'renamegrouplogentry' => 'Μετονομασία της ομάδας $2 σε $3',

# user groups editing
#
'userrights-editusergroup' => 'Επεξεργασία ομάδων χρηστών',
'saveusergroups' => 'Αποθήκευση ομάδων χρηστών',
'userrights-groupsmember' => 'Μελος της ομάδας:',
'userrights-groupsavailable' => 'Υπάρχουσες ομάδες:',

'userrights-groupshelp' => 'Επιλέξτε όμάδες στις οποίες επιθυμείτε να προστεθεί ο χρήστης ή ομάδες από τις οποίες επιθυμείτε να αφαιρεθεί ο χρήστης. Μπορείτε να αναιρέσετε την επιλογή μιας ομάδας με το πλήκτο CTRL + αριστερό κλικ',

'userrights-logcomment' => 'Τα μέλη της ομάδας έχουν αλλάξει $1 σε $2',


# Default group names and descriptions
#-------------------------------------------------------------#
'group-anon-name' => 'Ανώνυμος',
'group-anon-desc' => 'Ανώνυμοι χρήστες',
'group-loggedin-name' => 'Χρήστης',
'group-loggedin-desc' => 'Γενικοί συνδεδεμένοι χρήστες',
'group-admin-name' => 'Διαχειριστής',
'group-admin-desc' => 'Έμπειροι χρήστες έχουν τη δυνατότητα να επιβάλλουν φραγή ή να διαγράφουν άρθρα.',
'group-bureaucrat-name' => 'Διαχειριστής',
'group-bureaucrat-desc' => 'Οι διαχειριστές μπορούν να ορίζουν επιπλέον διαχειριστές',
'group-steward-name' => 'Διαχειριστής',
'group-steward-desc' => 'Πλήρης πρόσβαση',


# Recent changes
#--------------------------#
'changes' => 'αλλαγές',
'recentchanges' => 'Πρόσφατες αλλαγές',
'recentchanges-url' => 'Special:Recentchanges',
'recentchangestext' => 'Παρακολουθείστε σε αυτή τη σελίδα τις πιο πρόσφατες αλλαγές στο Wiki.',
'rcloaderr' => 'Φόρτωση πρόσφατων αλλαγών',
'rcnote' => 'Ακολουθούν οι <strong>$1</strong> πιο πρόσφατες αλλαγές στο διάστημα των τελευταίων <strong>$2</strong> ημερών.',
'rcnotefrom' => 'Ακολουθούν οι αλλαγές από <b>$2</b> (εμφάνιση <b>$1</b> αλλαγών max).',
'rclistfrom' => 'Εμφάνιση νέων αλλαγών αρχίζοντας από $1',
'showhideminor' => '$1 αλλαγές μικρής κλίμακας | $2 διαχειριστές | $3 συνδεδεμένοι χρήστες | $4 επεξεργασίες υπό παρακολούθηση',
'rclinks' => 'Εμφάνιση των τελευταίων $1 αλλαγών στο διάστημα των τελευταίων $2 ημερών <br />$3',
'rchide' => 'σε μορφή $4 : $1 επεξεργασίες μικρής κλίμακας, $2 δευτερεύουσες περιοχές, $3 πολλαπλές επεξεργασίες',
'rcliu' => '; $1 επεξεργασίες από συνδεδεμένους χρήστες',
'diff' => '\'διαφορά\'',
'hist' => '\'ιστορικό\'',
'hide' => 'απόκρυψη',
'show' => 'εμφάνιση',
'tableform' => 'πίνακας',
'listform' => 'κατάλογος',
'nchanges' => '$1 αλλαγές',
'minoreditletter' => 'μ',
'newpageletter' => 'N',
#'sectionlink' => '&rarr;',
'number_of_watching_users_RCview' => '[$1]',
'number_of_watching_users_pageview' => '[$1 χρήστης (-ες) που παρακολουθούν]',


# Upload
#------------#
'upload' => 'Φόρτωση αρχείου',
'uploadbtn' => 'Φόρτωση αρχείου',
'uploadlink' => 'Φόρτωση εικόνων',
'reupload' => 'Επανάληψη φόρτωσης',
'reuploaddesc' => 'Επιστροφή στη φόρμα φόρτωσης',
'uploadnologin' => 'Δεν έχετε συνδεθεί!',
'uploadnologintext' => 'Για να φορτώσετε αρχεία πρέπει πρώτα να [[Special:Userlogin|συνδεθείτε]].',
'upload_directory_read_only' => 'Δεν είναι δυνατή η εγγραφή στον κατάλογο ($1) από τον server.',
'uploaderror' => 'Σφάλμα στη φόρτωση αρχείου',

'uploadtext' => '\'\'\'ΠΕΡΙΜΕΝΕΤΕ!\'\'\' Πριν προχωρήσετε στη φόρτωση αρχείων σε αυτό το χώρο βεβαιωθείτε πως διαβάσατε και πως ακολουθείτε τους [[{{ns:4}}:Κανόνες_χρήσης_εικόνων|Κανόνες χρήσης εικόνων]].

Μπορείτε να δείτε ή να αναζητήσετε εικόνες που έχουν φορτωθεί κατά το παρελθόν κάτω από το σύνδεσμο [[Special:Imagelist|Κατάλογος εικόνων που έχουν φορτωθεί]].
Οι φορτώσεις και οι διαγραφές έχουν καταγραφεί στη σελίδα
[[{{ns:4}}:Καταγραφές_φόρτωσης|Καταγραφές φόρτωσης]].

Χρησιμοποιήστε την παρακάτω φόρμα για να φορτώσετε νέα αρχεία εικόνας που θα χρησιμοποιηθούν στον οπτικό εμπλουτισμό των σελίδων. Στους περισσότερους browsers υπάρχει ένα κουμπί "Browse..." το οποίο εμφανίζει το πεδίο διαλόγου του συστήματός σας για το άνοιγμα αρχείων. Αν επιλέξετε ένα αρχείο, το όνομά τoυ θα συμπληρωθέι αυτόματα στο πεδίο κειμένου που βρίσκεται δίπλα στο κουμπί. Μην ξεχάστε να επιβεβαιώσετε (σημειώνοντας το ανάλογο κουτάκι) πως με τη φόρτωση του συγκεκριμένου αρχείου δεν παραβιάζετε πνευματικά δικαιώματα.

Πατήστε το κουμπί "Upload" για να ολοκληρωθέι η φόρτωση.
Η διαδικασία μπορεί να διαρκέσει λίγο περισσότερο αν διαθέτετε αργή σύνδεση με το internet.

Οι προτιμώμενες μορφές αρχείου είναι: JPEG για φωτογραφίες, PNG για σχήματα και άλλες εικόνες και OGG για αρχεία ήχου. Δώστε περιγραφικά ονόματα στα αρχεία σας για να αποφευχθεί τυχόν σύγχυση.

Για να συμπεριληφθεί μια εικόνα σε μια σελίδα, χρησιμοποιήστε συνδέσμους της μορφής
\'\'\'<nowiki>[[{{ns:6}}:file.jpg]]</nowiki>\'\'\' ή
\'\'\'<nowiki>[[{{ns:6}}:file.png|alt text]]</nowiki>\'\'\' ή
\'\'\'<nowiki>[[{{ns:-2}}:file.ogg]]</nowiki>\'\'\' για αρχεία ήχου.

Σας παρακαλούμε να λάβετε υπ΄όψη σας ότι, ακριβώς όπως συμβαίνει με τις σελίδες Wiki, είναι δυνατόν άλλοι χρήστες να επεξεργαστούν ή να διαγράψουν κατά την κρίση τους αρχεία που έχετε φορτώσει. Έχετε επίσης υπ΄όψη σας πως είναι δυνατόν να υποστείτε φραγή σαν χρήστης αν διαπιστωθεί πως έχετε κάνει κατάχρηση του συστήματος.<br/>',

'uploadlog' => 'Φόρτωση αρχείου γεγονότων',
'uploadlogpage' => 'Καταγραφές φόρτωσης',
'uploadlogpagetext' => 'Ακολουθεί κατάλογος των αρχείων που έχουν φορτωθεί πρόσφατα.',
'filename' => 'Όνομα αρχείου',
'filedesc' => 'Σύνοψη',
'filestatus' => 'Κατάσταση του copyright',
'filesource' => 'Πηγή',
'copyrightpage' => '{{ns:12}}:Copyrights',
'copyrightpagename' => '{{SITENAME}} copyright',
'uploadedfiles' => 'Αρχεία που έχουν φορτωθεί',
'ignorewarning' => 'Αγνόηση της προειδοποίησης. Αποθήκευση αρχείου.',
'minlength' => 'Τα ονόματα εικόνων δεν πρέπει να περιέχουν λιγότερους από τρεις χαρακτήρες.',
'illegalfilename' => 'Το όνομα του αρχείου "$1" περιέχει χαρακτήρες που δεν επιτρέπονται στους τίτλους των σελίδων. Παρακαλούμε δώστε άλλο όνομα στο αρχείο και προσπαθήστε ξανά να το ανεβάσετε.',
'badfilename' => 'Το όνομα της εικόνας άλλαξε σε "$1".',
'badfiletype' => 'Το ".$1" δεν είναι προτεινόμενος τύπος εικόνας.',
'largefile' => 'Συνιστούμε οι εικόνες να μην υπερβαίνουν σε μέγεθος τα 100k .',

'emptyfile' => 'Το αρχείο που φορτώσατε φαίνεται να είναι κενό. Αυτό μπορεί να οφείλεται σε λάθος πληκτρολόγησης του ονόματος του αρχείου. Παρακαλούμε ελέγξτε εαν αυτό είναι πραγματικά το αρχείο που θέλετε να φορτώσετε.',

'fileexists' => 'Υπάρχει ήδη αρχείο με αυτό το όνομα -παρακαλούμε ελέγξτε στο $1. Είστε βέβαιος (-η) πως θέλετε να αλλάξετε το όνομα του αρχείου;',
'successfulupload' => 'Επιτυχής φόρτωση',

'fileuploaded' => 'Το αρχείο $1 φορτώθηκε επιτυχώς!
Παρακαλούμε ακολουθήστε το σύνδεσμο: $2 προς τη σελίδα της περιγραφής και συμπληρώστε πληροφορίες σχετικές με το αρχείο, όπως το από πού προήλθε, πότε δημιουργήθηκε και από ποιόν, και οτιδήποτε άλλο γνωρίζετε σχετικά με αυτό. Αν πρόκειται για εικόνα μπορείτε να την ενθέσετε με τον εξής τρόπο: <tt><nowiki>[[{{ns:6}}:$1|thumb|Description]]</nowiki></tt>',

'uploadwarning' => 'Προειδοιποίηση φόρτωσης',
'savefile' => 'Αποθήκευση αρχείου',
'uploadedimage' => 'Η φόρτωση του "$1" ολοκληρώθηκε.',
'uploaddisabled' => 'Λυπούμαστε, η φόρτωση έχει απενεργοποιηθεί.',
'uploadscripted' => 'Αυτό το αρχείο περιέχει κώδικα HTML ή script που μπορεί να παρερμηνευθεί από μερικούς browser.',
'uploadcorrupt' => 'Το αρχείο είναι κατεστραμένο ή έχει κάποια λανθασμένη επέκταση. Παρακαλούμε ελέγξτε το και ξαναδοκιμάστε να το ανεβάσετε.',
'uploadvirus' => 'Το αρχείο περιέχει ιό! Λεπτομέρειες: $1',
'sourcefilename' => 'Όνομα πηγαίου αρχείου',
'destfilename' => 'Όνομα αρχείου προορισμού',


# Image list
#----------------#
'imagelist' => 'Κατάλογος εικόνων',
'imagelisttext' => 'Ακολουθεί κατάλογος $1 εικόνων ταξινομημένων κατά σειρά $2.',
'getimagelist' => 'Προσκόμιση καταλόγου εικόνων',
'ilsubmit' => 'Αναζήτηση',
'showlast' => 'Εμφάνιση των $1 πιο πρόσφατων εικόνων κατά σειρά $2.',
'byname' => 'ονόματος',
'bydate' => 'ημερομηνίας',
'bysize' => 'μεγέθους',
'imgdelete' => '\'διαγραφή\'',
'imgdesc' => '\'περιγραφή\'',
'imglegend' => 'Υπόμνημα: (\'περιγραφή\') = εμφάνιση/επεξεργασία της περιγραφής εικόνας',
'imghistory' => 'Ιστορικό εικόνας',
'revertimg' => '\'επαναφορά\'',
'deleteimg' => '\'διαγραφή\'',
'deleteimgcompletely' => 'Διαγραφή όλων των αναθεωρήσεων',

'imghistlegend' => 'Υπόμνημα: (\'τρέχον\') = αυτή είναι η τρέχουσα εικόνα, (\'διαγραφή\') = διαγραφή αυτής της παλιότερης έκδοσης, (\'επαναφορά\') = επαναφορά σε αυτή την παλιότερη έκδοση

<br /><i>Κάνοντας κλικ στην ημερομηνία θα δείτε την εικόνα που φορτώθηκε εκείνη την ημέρα</i>.',

'imagelinks' => 'Σύνδεσμοι εικόνων',
'linkstoimage' => 'Οι ακόλουθες σελίδες συνδέονται με αυτή την εικόνα:',
'nolinkstoimage' => 'Δεν υπάρχουν σελίδες που συνδέονται με αυτήν την εικόνα.',
'sharedupload' => 'Το αρχείο αυτό φορτώθηκε για κοινή χρήση και είναι δυνατόν να χρησιμοποιείται ταυτοχρόνως σε περισσότερα από ένα έργα.',
'shareduploadwiki' => 'Παρακαλούμε συμβουλευθείτε την [$1 σελίδα περιγραφής αρχείου] για περισσότερες πληροφορίες.',
#'shareddescriptionfollows' => '-',
'noimage' => 'Δεν υπάρχει αρχείο με αυτό το όνομα, μπορείτε να [$1 το φορτώσετε].',
'uploadnewversion' => '[$1 Φορτώστε μια νέα έκδοση αυτού του αρχείου]',


# Statistics
#---------------#
'statistics' => 'Στατιστικές',
'sitestats' => 'Στατιστικές ιστοχώρου',
'userstats' => 'Στατιστικές χρηστών',

'sitestatstext' => 'Υπάρχουν συνολικά \'\'\'$1\'\'\' σελίδες στη βάση δεδομένων. Σε αυτές συμπεριλαμβάνονται και οι σελίδες "συζήτησης", σελίδες σχετικά με το {{SITENAME}}, σελίδες με πολύ σύντομο κείμενο (stub), ανακατευθύνσεις, και άλλες που πιθανόν να μην χαρακτηρίζονται σελίδες-με- κείμενο (ή περιεχόμενο).
Επιπλέον υπάρχουν και \'\'\'$2\'\'\' άλλες σελίδες που πληρούν τα κριτήρια και χαρακτηρίζονται, επίσης, σελίδες περιεχομένου.

Από τη στιγμή που δημιουργήθηκε αυτό το Wiki έχουν καταγραφεί \'\'\'$3\'\'\' επισκέψεις σε σελίδες και \'\'\'$4\'\'\' επεξεργασίες σε σελίδες.
Ο μέσος όρος κατά την τελευταία ενημέρωση ήταν \'\'\'$5\'\'\' επεξεργασίες ανά σελίδα και \'\'\'$6\'\'\' επισκέψεις ανά επεξεργασία.',

'userstatstext' => 'Υπάρχουν \'\'\'$1\'\'\' εγγεγραμένοι χρήστες.
\'\'\'$2\'\'\' από αυτούς είναι διαχειριστές (βλ. $3 | διαχειριστές).',


# Maintenance Page
#-----------------------------#
'maintenance' => 'Σελίδα συντήρησης',

'maintnancepagetext' => 'Η σελίδα αυτή περιέχει διάφορα εύχρηστα εργαλεία για την καθημερινή συντήρηση. 

Μερικές από τις λειτουργίες αυτές είναι δυνατόν να καταπονήσουν τη βάση δεδομένων, για το λόγο αυτό σας παρακαλούμε να κάνετε \'επαναφόρτωση\' μετά από κάθε στοιχείο που έχετε επιδιορθώσει;-)',

'maintenancebacklink' => 'Επιστροφή στη σελίδα συντήρησης',
'disambiguations' => 'Σελίδες αποσαφήνισης',
'disambiguationspage' => '{{ns:4}}:Σύνδεσμοι_προς_τις_σελίδες_αποσαφήνισης',

'disambiguationstext' => 'Οι σελίδες που ακολουθούν συνδέονται με μια <i>σελίδα αποσαφήνισης</i> ενώ θα έπρεπε κανονικά να συνδέονται με το αντίστοιχο θέμα.<br />Μια σελίδα θεωρείται σελίδα αποσαφήνισης όταν συνδέεται μέσω της $1.<br />Σύνδεσμοι μέσα από άλλες περιοχές <i>δεν</i> περιλαμβάνονται σε αυτό τον κατάλογο.',

'doubleredirects' => 'Διπλές ανακατευθύνσεις',

'doubleredirectstext' => 'Κάθε σειρά περιέχει συνδέσμους προς την πρώτη και τη δεύτερη σελίδα ανακατεύθυνσης, όπως επίσης και την πρώτη αράδα του κειμένου στη δεύτερη σελίδα ανακατεύθυνσης η οποία και είναι, κανονικά, ο πραγματικός προορισμός της ανακατεύθυνσης -εκεί δηλαδή όπου θα έπρεπε να είχατε οδηγηθεί από την αρχή.',

'brokenredirects' => 'Κατεστραμένες ανακατευθύνσεις',
'brokenredirectstext' => 'Οι παρακάτω ανακατευθύνσεις οδηγούν σε σελίδες που δεν υπάρχουν.',
'selflinks' => 'Σελίδες με αυτο-συνδέσμους',
'selflinkstext' => 'Οι εξής σελίδες έχουν σύνδεσμο προς τον εαυτό τους -αυτό δεν θα έπρεπε να συμβαίνει.',
'mispeelings' => 'Σελίδες με ορθογραφικά λάθη',
'mispeelingstext' => 'Οι παρακάτω σελίδες περιέχουν συνηθισμένα ορθογραφικά λάθη, τα οποία βρίσκονται συγκεντρωμένα στο $1. Η σωστή ορθογραφία πρέπει να τοποθετείται (εντός παρενθέσεων).',
'mispeelingspage' => 'Κατάλογος συνηθισμένων ορθογραφικών λαθών',
'missinglanguagelinks' => 'Αγνοούμενοι σύνδεσμοι γλώσσας',
'missinglanguagelinksbutton' => 'Εύρεση αγνοουμένων συνδέσμων γλώσσας για',
'missinglanguagelinkstext' => 'Αυτές οι σελίδες <i>δεν</i> συνδέονται με τις ομόλογές τους στο $1. Οι ανακατευθύνσεις και οι υποσελίδες <i>δεν</i> εμφανίζονται.',

# Miscellaneous special pages
#
'orphans' => 'Ορφανές σελίδες',
'geo' => 'Γεωγραφικές συντεταγμένες',
'validate' => 'Επικύρωση σελίδας',
'lonelypages' => 'Ορφανές σελίδες',
'uncategorizedpages' => 'Αταξινόμητες σελίδες',
'uncategorizedcategories' => 'Αταξινόμητες κατηγορίες',
'unusedcategories' => 'Κενές κατηγορίες',
'unusedimages' => 'Αχρησιμοποίητες εικόνες',
'popularpages' => 'Δημοφιλείς σελίδες',
'nviews' => '$1 επισκέψεις',
'wantedpages' => 'Σελίδες σε ζήτηση',
'mostlinked'	=> 'Οι σελίδες με τις περισσότερες αναφορές',
'nlinks' => '$1 σύνδεσμοι',
'allpages' => 'Όλες οι σελίδες',
'randompage' => 'Σελίδα στην τύχη',
'randompage-url' => 'Special:Randompage',
'shortpages' => 'Σύντομες σελίδες',
'longpages' => 'Εκτενείς σελίδες',
'deadendpages' => 'Αδιέξοδες σελίδες',
'listusers' => 'Κατάλογος χρηστών',
'specialpages' => 'Σελίδες λειτουργιών',
'spheading' => 'Σελίδες λειτουργιών για όλους τους χρήστες',
'restrictedpheading' => 'Ειδικές σελίδες με περιορισμούς πρόσβασης',
'blockpheading' => 'Διαβαθμίσεις φραγής',
'createaccountpheading' => 'διαβάθμιση \'δημιουργίας λογαριασμού\'',
'deletepheading' => 'Διαβαθμίσεις διαγραφής',
'userrightspheading' => 'Διαβαθμίσεις δικαιωμάτων χρηστών',
'grouprightspheading' => 'Διαβάθμιση δικαιωμάτων ομάδας',
'siteadminpheading' => 'Διαβαθμίσεις διαχείρισης ιστοχώρου',
/** obsoletes
'sysopspheading' => 'Μόνον για χρήση των διαχειριστών',
'developerspheading' => 'Μόνον για χρήση των προγραμματιστών',
*/
'protectpage' => 'Προστασία σελίδας',
'recentchangeslinked' => 'Σχετικές αλλαγές',
'rclsub' => '(σε σελίδες που συνδέονται από το "$1")',
'debug' => 'Διόρθωση σφαλμάτων',
'newpages' => 'Νέες σελίδες',
'ancientpages' => 'Οι παλιότερες σελίδες',
'intl' => 'Διαγλωσσικοί σύνδεσμοι',
'move' => 'Μετακίνηση',
'movethispage' => 'Μετακίνηση αυτής της σελίδας',

'unusedimagestext' => '<p>Παρακαλούμε να λάβετε υπ` όψη σας πως άλλες ιστοσελίδες είναι δυνατόν να  συνδέονται με μια εικόνα με απευθείας URL - για το λόγο αυτό μπορεί μερικές εικόνες να εμφανίζονται ακόμα εδώ παρόλο που στην πραγματικότητα είναι σε χρήση.</p>',

'unusedcategoriestext' => 'Οι ακόλουθες κατηγοριοποιημένες σελίδες δεν συνδέονται με άλλο άρθρο ή κατηγορία.',
'booksources' => 'Πηγές βιβλίων',
'categoriespagetext' => 'Υπάρχουν οι ακόλουθες κατηγορίες στο Wiκi.',
'data' => 'Δεδομένα',
'userrights' => 'Διαχείριση δικαιωμάτων χρηστών',
'groups' => 'Ομάδες χρηστών',

'booksourcetext' => 'Ακολουθούν σύνδεσμοι για διαδικτυακούς τόπους που εμπορεύονται καινούργια ή μεταχειρισμένα βιβλία και όπου μπορείτε να αναζητήσετε τα βιβλία που σας ενδιαφέρουν. Το {{SITENAME}} δεν έχει σχέση με αυτές τις επιχειρήσεις και ο κατάλογος αυτός δεν αποτελεί κατά κανένα τρόπο προώθηση ή διαφήμισή τους.',

'isbn' => 'ISBN',
'rfcurl' => 'http://www.faqs.org/rfcs/rfc$1.html',
#'pubmedurl' => 'http://www.ncbi.nlm.nih.gov/entrez/query.fcgi?cmd=Retrieve&db=pubmed&dopt=Abstract&list_uids=$1',
'alphaindexline' => '$1 έως $2',
'version' => 'Έκδοση',
'log' => 'Καταγραφές γεγονότων',

'alllogstext' => 'Εποπτική εμφάνιση όλων των ενεργειών φόρτωσης αρχείων, διαγραφής, προστασίας, φραγής και όλων των καταγραφών των διαχειριστών στο αρχείο γεγονότων. Μπορείτε να περιορίσετε τα αποτελέσματα που εμφανίζονται επιλέγοντας συγκεκριμένο είδος γεγονότων, όνομα χρήστη ή τη σελίδα που επηρεάστηκε.',


# Special:Allpages
#--------------------------#
'nextpage' => 'Επόμενη σελίδα ($1)',
'allpagesfrom' => 'Εμφάνιση όλων των σελίδων που αρχίζουν στο:',
'allarticles' => 'Όλα τα άρθρα',
'allnonarticles' => 'Όλα τα μη-άρθρα',
'allinnamespace' => 'Όλες οι σελίδες (στην περιοχή $1)',
'allnotinnamespace' => 'Όλες οι σελίδες (που δεν βρίσκονται στην περιοχή $1)',
'allpagesprev' => 'Προηγούμενες',
'allpagesnext' => 'Επόμενες',
'allpagessubmit' => 'Μετάβαση',


# E this user
#-----------------#
'mailnologin' => 'Δεν υπάρχει διεύθυνση παραλήπτη.',

'mailnologintext' => 'Πρέπει να έχετε [[Special:Userlogin|συνδεθεί]] και να έχετε δηλώσει
μια έγκυρη ηλεκτρονική διεύθυνση στις [[Special:Preferences|Προτιμήσεις]]
για να στείλετε e-mail σε άλλους χρήστες.',

'emailuser' => 'Στείλτε e-mail σε αυτόν το χρήστη',
'emailpage' => 'Αποστολή e-mail σε χρήστη',

'emailpagetext' => 'Συπληρώνοντας την παρακάτω φόρμα θα στείλετε ένα μήνυμα εφόσον ο παραλήπτης έχει δηλώσει μια έγκυρη διεύθυνση ηλεκτρονικού ταχυδρομείου στις \'προτιμήσεις χρήστη\'. Η διεύθυνση ηλεκτρονικού ταχυδρομείου που έχετε δηλώσει στις δικές σας \'προτιμήσεις χρήστη\' θα εμφανιστεί ως διεύθυνση αποστολέα του μηνύματος, ούτως ώστε ο παραλήπτης να μπορέσει να σας απαντήσει.',

'usermailererror' => 'Σφάλμα ηλεκτρονικού ταχυδρομείου:',
'defemailsubject' => 'Ηλεκτρονικό ταχυδρομείο {{SITENAME}}',
'noemailtitle' => 'Δεν υπάρχει ηλεκτρονική διεύθυνση.',
'noemailtext' => 'Ο χρήστης αυτός δεν έχει δηλώσει την ηλεκτρονική του διέθυνση ή έχει επιλέξει να μην δέχεται μηνύματα από άλλους χρήστες.',
'emailfrom' => 'Αποστολέας',
'emailto' => 'Προς',
'emailsubject' => 'Θέμα',
'emailmessage' => 'Μήνυμα',
'emailsend' => 'Αποστολή',
'emailsent' => 'Το μήνυμα έχει σταλεί',
'emailsenttext' => 'Το μήνυμά σας έχει σταλεί.',


# Watchlist
#---------------#
'watchlist' => 'Λίστα παρακολούθησης',
'watchlistsub' => '(για το χρήστη "$1")',
'nowatchlist' => 'Δεν υπάρχουν εγγραφές στη λίστα παρακολούθησης.',
'watchnologin' => 'Δεν έχετε συνδεθεί.',
'watchnologintext' => 'Για να κάνετε αλλαγές στη λίστα παρακολούθησης πρέπει να <a href="{{localurl:Special:Userlogin}}"> συνδεθείτε </a>.',
'addedwatch' => 'Η σελίδα έχει προστεθεί στη λίστα παρακολούθησης.',

'addedwatchtext' => 'Η σελίδα "$1" έχει προστεθεί στη [[Special:Watchlist|λίστα παρακολούθησης]].
Μελλοντικές αλλαγές στη σελίδα καθώς και στη σχετική με τη σελίδα συζήτηση θα φαίνονται \'\'\'με έντονα γράμματα\'\'\' στη [[Special:Recentchanges|λίστα πρόσφατων αλλαγών]] έτσι ώστε να διευκολύνεται η παρακολούθηση.


<p>Αν θελήσετε να αφαιρέσετε τη σελίδα αυτή από τη λίστα παρακολούθησης, κάνετε κλικ στην επιλογή "παύση παρακολούθησης" στην μπάρα ενεργειών.',

'removedwatch' => 'Αφαιρέθηκε απο τη λίστα παρακολούθησης.',
'removedwatchtext' => 'Η σελίδα "$1" έχει αφαιρεθεί από τη λίστα παρακολούθησής σας.',
'watch' => 'Παρακολούθηση',
'watchthispage' => 'Παρακολούθηση αυτής της σελίδας',
'unwatch' => 'Παύση παρακολούθησης',
'unwatchthispage' => 'Παύση παρακολούθησης αυτής της σελίδας',
'notanarticle' => 'Η σελίδα αυτή δεν είναι σελίδα περιεχομένου.',
'watchnochange' => 'Δεν υπήρξε δραστηριότητα επεξεργασίας στις σελίδες που παρακολουθείτε κατά την εμφανιζόμενη χρονική περίοδο.',
'watchdetails' => '(Υπό παρακολούθηση: $1 σελίδες, χωρίς τις σελίδες συζήτησης. $2 συνολικά σελίδες έχουν υποστεί επεξεργασία. $3... <a href="$4">Προβολή και επεξεργασία ολόκληρης της λίστας </a>)',
'wlheader-enotif' => '* Η ειδοποίηση με ηλεκτρονικό ταχυδρομείο έχει ενεργοποιηθεί.',
'wlheader-showupdated' => '* Σελίδες που έχουν υποστεί αλλαγές από την τελευταία φορά που τις επισκεφθήκατε εμφανίζονται με \'\'\'έντονους χαρακτήρες\'\'\'.',
'watchmethod-recent' => 'Έλεγχος πρόσφατων αλλαγών σε σελίδες υπό παρακολούθηση',
'watchmethod-list' => 'Έλεγχος σελίδων υπό παρακολούθηση για πρόσφατες αλλαγές',
'removechecked' => 'Αφαίρεση επιλεγμένων σελίδων από τη λίστα παρακολούθησης',
'watchlistcontains' => 'Η λίστα παρακολούθησής σας περιέχει $1 σελίδες.',

'watcheditlist' => 'Ακολουθεί μια λίστα των σελίδων που παρακολουθείτε (κατά αλφαβητική σειρά). Σημειώστε τις σελίδες που επιθυμείτε να αφαιρέσετε από τη λίστα σας και επικυρώστε με ένα κλικ στο κουμπί \'αφαίρεση σελίδων\' στο κάτω μέρος της οθόνης.',

'removingchecked' => 'Εξάλειψη των αντικειμένων που ζητήσατε να αφαιρεθούν από τη λίστα παρακολούθησης...',
'couldntremove' => 'Δεν ήταν δυνατόν να εξαλειφθεί το στοιχείο $1...',
'iteminvalidname' => 'Πρόβλημα με το στοιχείο "$1", άκυρο όνομα...',
'wlnote' => 'Ακολουθούν οι $1 πιο πρόσφατες αλλαγές κατά τη διάρκεια των τελευταίων <b>$2</b> ωρών.',
'wlshowlast' => 'Εμφάνιση των τελευταίων $1 ωρών $2 ημερών $3',
'wlsaved' => 'Αποθηκευμένη έκδοση της λίστας παρακολούθησης',
'wlhideshowown' => '$1 από τις επεξεργασίες μου',
'wlshow' => 'Εμφάνιση',
'wlhide' => 'Απόκρυψη',
'enotif_mailer' => 'Σύστημα ειδοποίησης μέσω αλληλογραφίας του {{SITENAME}}',
'enotif_reset' => 'Σημειώστε όλες τις σελίδες ως αναγνωσμένες.',
'enotif_newpagetext' => 'Αυτή είναι μια νέα σελίδα.',
'changed' => 'έχει αλλάξει',
'created' => 'δημιουργήθηκε',
'enotif_subject' => 'Η σελίδα $PAGETITLE του {{SITENAME}}έχει $CHANGEDORCREATED από το χρήστη $PAGEEDITOR',
'enotif_lastvisited' => 'Δείτε το $1 για όλες τις αλλαγές που έγιναν από την τελευταία σας επίσκεψη.',
'enotif_body' => 'Αγαπητέ $WATCHINGUSERNAME...

Η σελίδα $PAGETITLE του {{SITENAME}}έχει $CHANGEDORCREATED στις $PAGEEDITDATE από το χρήστη $PAGEEDITOR -ακολουθήστε το σύνδεσμο $PAGETITLE_URL για να δείτε την τρέχουσα αναθεώρηση.

$NEWPAGE

Περιγραφή: $PAGESUMMARY $PAGEMINOREDIT

Επικοινωνήστε με το συγκεκριμένο χρήστη:
mail: $PAGEEDITOR_EMAIL
wiki: $PAGEEDITOR_WIKI

Δεν θα υπάρξει άλλη ειδοποίηση για περαιτέρω αλλαγές αν δεν επισκεφθείτε τη σελίδα. Μπορείτε επίσης να επαναφέρετε την επιλογή ειδοποίησης για όλες τις σελίδες στη λίστα παρακολούθησής σας.

Φιλικά,<<br/>
Tο σύστημα ειδοποίησης του {{SITENAME}}

--
Για να αλλάξετε τις προτιμήσεις της λίστας παρακολούθησής σας, ακολουθήστε το σύνδεσμο:
{{SERVER}}{{localurl:Special:Watchlist/edit}}

Ερωτήσεις και περισσότερες πληροφορίες: 
{{SERVER}}{{localurl:{{ns:12}}:Περιεχόμενα}}',


# Delete/protect/revert
#----------------------------------#
'deletepage' => 'Διαγραφή σελίδας',
'confirm' => 'Επιβεβαίωση',
'excontent' => 'το περιεχόμενο ήταν:',
'excontentauthor' => 'το περιεχόμενο ήταν: \'$1\' (και οι μοναδικές συνεισφορές ήταν του \'$2\')',
'exbeforeblank' => 'το περιεχόμενο πριν απο την εκκαθάριση ήταν:',
'exblank' => 'η σελίδα ήταν κενή',
'confirmdelete' => 'Επιβεβαίωση διαγραφής',
'deletesub' => '(Διαγραφή της "$1")',
'historywarning' => 'ΠΡΟΕΙΔΟΠΟΙΗΣΗ! Η σελίδα που πρόκειται να διαγράψετε έχει ιστορικό.<br/>',
'confirmdeletetext' => 'Πρόκειται να διαγράψετε οριστικά από τη βάση δεδομένων μια σελίδα (ή μια εικόνα) μαζί με το ιστορικό της. Παρακαλούμε επιβεβαιώστε ότι θέλετε πραγματικά να το κάνετε, ότι αντιλαμβάνεσθε τις συνέπειες και ότι το κάνετε σύμφωνα με τους [[{{ns:4}}:Κανόνες|Κανόνες]].',
'actioncomplete' => 'Η ενέργεια ολοκληρώθηκε.',
'deletedtext' => 'Η "$1" έχει διαγραφεί.
Για το ιστορικό των πρόσφατων διαγραφών ανατρέξτε στο σύνδεσμο $2',
'deletedarticle' => 'Η $1 διαγράφτηκε.',
'dellogpage' => 'Καταγραφές διαγραφών',
'dellogpagetext' => 'Λίστα των πιο πρόσφατων διαγραφών',
'deletionlog' => 'Καταγραφές διαγραφών',
'reverted' => 'Επαναφορά σε προηγούμενη αναθεώρηση',
'deletecomment' => 'Αιτιολογία διαγραφής',
'imagereverted' => 'Η επαναφορά σε παλιότερη έκδοση ήταν επιτυχής.',
'rollback' => 'Επαναφορά επεξεργασιών',
'rollback_short' => 'Επαναφορά',
'rollbacklink' => 'Επαναφορά στην προηγούμενη',
'rollbackfailed' => 'Η επαναφορά απέτυχε.',
'cantrollback' => 'Δεν είναι δυνατή η αναίρεση αυτής της αλλαγής, πρόκειται για την αρχική ενέργεια δημιουργίας της σελίδας.',

'alreadyrolled' => 'Αδύνατον να αναιρεθεί η τελευταία αλλαγή της σελίδας [[$1]]
από το χρήστη [[User:$2|$2]] ([[User talk:$2|Συζήτηση]]), κάποιος έχει ήδη αναιρέσει την αλλαγή ή έχει αλλάξει εκ νέου τη σελίδα.

Τελευταία αλλαγή από το χρήστη [[User:$3|$3]] ([[User talk:$3|Συζήτηση]]).',
#   only shown if there is an edit comment
'editcomment' => 'Το σχόλιο της επεξεργασίας ήταν: "<i>$1</i>".',
'revertpage' => 'Ανάκληση των αλλαγών $2 (επιστροφή στην προηγούμενη αναθεώρηση $1)',

'sessionfailure' => 'Υπάρχει πρόβλημα με τη σύνδεσή σας -η ενέργεια αυτή ακυρώθηκε προληπτικά για την αντιμετώπιση τυχόν πειρατείας συνόδου (session hijacking). Παρακαλoύμε πατήστε "Επιστροφή", ξαναφορτώστε τη σελίδα από την οποία φθάσατε εδώ και προσπαθήστε ξανά.',

'protectlogpage' => 'Καταγραφές προστασίας (κλειδώματος)',

'protectlogtext' => 'Ακολουθεί κατάλογος ενεργειών κλειδώματος και ξεκλειδώματος σελίδων.
(Βλ. [[{{ns:4}}:Σελίδες_υπό_προστασία]] για περισσότερες πληροφορίες).',

'protectedarticle' => 'Κλειδωμένο $1',
'unprotectedarticle' => 'έχει αρθεί η προστασία του $1',
'protectsub' => '(Κλειδώνεται η "$1")',
'confirmprotecttext' => 'Θέλετε πραγματικά να κλειδώσετε αυτή τη σελίδα;',
'confirmprotect' => 'Επιβεβαίωση κλειδώματος',
'protectmoveonly' => 'Προστασία μόνον από μετακινήσεις',
'protectcomment' => 'Αιτιολογία προστασίας',
'unprotectsub' => '(Άρση προστασίας για το "$1")',
'confirmunprotecttext' => 'Θέλετε πραγματικά να ξεκλειδώσετε αυτή τη σελίδα;',
'confirmunprotect' => 'Επιβεβαίωση ξεκλειδώματος',
'unprotectcomment' => 'Αιτιολογία για την άρση προστασίας',


# Undelete
#---------------#
'undelete' => 'Αποκατάσταση σελίδων που έχουν διαγραφεί',
'undeletepage' => 'Εμφάνιση και αποκατάσταση σελίδων που έχουν διαγραφεί',
'undeletepagetext' => 'Οι σελίδες που ακολουθούν έχουν διαγραφεί αλλά βρίσκονται ακόμα αποθηκευμένες στο αρχείο και μπορούν να αποκατασταθούν. (Κατά καιρούς γίνεται εκκαθάριση του αρχείου.)',
'undeletearticle' => 'Αποκατάσταση σελίδας που έχει διαγραφεί',
'undeleterevisions' => '$1 αναθεωρήσεις έχουν αρχειοθετηθεί.',

'undeletehistory' => 'Αν αποκαταστήσετε αυτή τη σελίδα, όλες οι αναθεωρήσεις θα αποκατασταθούν στο ιστορικό. Αν μετά τη διαγραφή αυτής της σελίδας έχει δημιουργηθεί μια νέα σελίδα με το ίδιο όνομα, οι αναθεωρήσεις που αποκαταστάθηκαν θα εμφανιστούν στο πρότερο ιστορικό και η τρέχουσα αναθεώρηση της σελίδας δεν θα αντικαταστθεί αυτομάτως.',

'undeleterevision' => 'Αναθεώρηση που έχει διαγραφεί στις $1',
'undeletebtn' => 'Αποκατάσταση!',
'undeletedarticle' => 'αποκατάσταση "$1"',
'undeletedrevisions' => 'Αποκατάσταση $1 αναθεωρήσεων',

'undeletedtext' => 'Η [[$1]] έχει αποκατασταθεί επιτυχώς.
(Βλ. [[Special:Log|Σελίδες που έχουν διαγραφεί]] για λεπτομερή στοιχεία σχετικά με τις πρόσφατες διαγραφές και αποκαταστάσεις).',


# Namespace form on various pages
#-------------------------------------------------------#
'namespace' => 'Περιοχή:',
'invert' => 'Αντιστροφή της επιλογής',


# Contributions
#---------------------#
'contributions' => 'Συνεισφορές χρήστη',
'mycontris' => 'Οι προσθήκες μου',
'contribsub' => 'Για τον/την $1',
'nocontribs' => 'Δεν βρέθηκαν αλλαγές με αυτά τα κριτήρια.',
'ucnote' => 'Ακολουθούν οι τελευταίες <b>$1</b> αλλαγές του χρήστη κατά τη διάρκεια των τελευταίων <b>$2</b> ημερών.',
'uclinks' => 'Εμφάνιση των τελευταίων $1 αλλαγών - Εμφάνιση των τελευταίων $2 ημερών',
'uctop' => ' (τελευταία)',
'newbies' => 'νέοι χρήστες',
'contribs-showhideminor' => '$1 αλλαγές μικρής κλίμακας',


# What links here
#-------------------------#
'whatlinkshere' => 'Αναφορές στη σελίδα',
'notargettitle' => 'Δεν έχει καθοριστεί προορισμός.',
'notargettext' => 'Δεν έχετε καθορίσει ένα χρήστη ή μια σελίδα προορισμού για να εκτελεσθεί αυτή η λειτουργία.',
'linklistsub' => '(Κατάλογος συνδέσμων)',
'linkshere' => 'Εδώ παραπέμπουν οι ακόλουθες σελίδες:',
'nolinkshere' => 'Δεν υπάρχουν σελίδες με συνδέσεις προς τα εδώ.',
'isredirect' => 'ανακατεύθυνση σελίδας',


# Block/unblock IP
#--------------------------#
'blockip' => 'Φραγή χρήστη ή διεύθυνσης IP',

'blockiptext' => 'Χρησιμοποιήστε την παρακάτω φόρμα για να εμποδίσετε παρεμβάσεις στο κείμενο από μια συγκεκριμένη διεύθυνση IP ή όνομα χρήστη.
Το μέτρο αυτό πρέπει να λαμβάνεται μόνο σε περιπτώσεις βανδαλισμού σελίδων και πάντα σύμφωνα με τους [[{{ns:4}}:Κανόνες|Κανόνες]].
Παρακαλούμε να αιτιολογήσετε την ενέργειά σας (παραπέμποντας π.χ. σε συγκεκριμένες σελίδες που υπέστησαν βανδαλισμό).',

'ipaddress' => 'Διεύθυνση IP/όνομα χρήστη',
'ipadressorusername' => 'Διεύθυνση IP ή όνομα χρήστη',
'ipbexpiry' => 'Λήξη',
'ipbreason' => 'Αιτιολογία',
'ipbsubmit' => 'Φραγή σε αυτό το χρήστη',
'ipbother' => 'Άλλη ώρα',
'ipboptions' => '2 hours:2 ώρες,1 day:1 ημέρα,3 days:3 ημέρες,1 week:1 εβδομάδα,2 weeks:2 εβδομάδες,1month:1 μήνα,3 months:3 μήνες,6 months:6 μήνες,1 year:1 χρόνο,infinite:επ΄αόριστον',
'ipbotheroption' => 'άλλη',
'badipaddress' => 'Άκυρη διεύθυνση IP.',
'blockipsuccesssub' => 'Η φραγή ολοκληρώθηκε επιτυχώς.',
'blockipsuccesstext' => 'Η διεύθυνση "$1" έχει υποστεί φραγή. <br />Δείτε τη [[Special:Ipblocklist|λίστα διευθύνσεων IP που έχουν υποστεί φραγή]] για να το επιβεβαιώσετε.',
'unblockip' => 'Άρση φραγής χρήστη',
'unblockiptext' => 'Χρησιμοποιήστε την παρακάτω φόρμα για να αποκαταστήσετε την πρόσβαση σε επεξεργασία, σε μια διεύθυνση IP ή σε ένα χρήστη που είχε αποκλειστεί με φραγή.',
'ipusubmit' => 'Άρση φραγής αυτής της διεύθυνσης',
'ipusuccess' => 'Η άρση της φραγής του/της "$1" ολοκληρώθηκε επιτυχώς.',
'ipblocklist' => 'Λίστα διευθύνσεων IP και ονομάτων χρηστών που έχουν υποστεί φραγή.',
'blocklistline' => 'Φραγή του/της $3 από τους $1, $2 (λήγει $4)',
'blocklink' => 'φραγή',
'unblocklink' => 'Άρση φραγής',
'contribslink' => 'Συνεισφορές/Προσθήκες',
'autoblocker' => 'Έχετε υποστεί αυτόματα φραγή από το σύστημα επειδή χρησιμοποιείτε την ίδια διεύθυνση IP με το χρήστη "$1". Αιτιολογία "$2".',
'blocklogpage' => 'Καταγραφές φραγής',
'blocklogentry' => 'Φραγή του/της "$1" με χρόνο λήξης $2',

'blocklogtext' => 'Σε αυτή τη σελίδα υπάρχουν οι καταγραφές φραγής και κατάργησης φραγής των χρηστών (αρχείο γεγονότων).

<br />Δεν συμπεριλαμβάνονται οι διευθύνσεις IP που υπέστησαν αυτόματα φραγή. <br />Στο σύνδεσμο [[Special:Ipblocklist|διευθύνεις IP που έχουν υποστεί φραγή]] θα βρείτε τον πλήρη κατάλογο με τις τρέχουσες φραγές.',

'unblocklogentry' => 'Άρση φραγής του "$1"',
'range_block_disabled' => 'Η δυνατότητα του διαχειριστή να δημιουργεί περιοχές φραγής είναι απενεργοποιημένη.',
'ipb_expiry_invalid' => 'Άκυρος χρόνος λήξης',
'ip_range_invalid' => 'Το εύρος των διευθύνσεων IP δεν είναι έγκυρο.',
'proxyblocker' => 'Εργαλείο φραγής διακομιστών (proxy blocker)',

'proxyblockreason' => 'Η διεύθυνσήη IP σας έχει υποστεί φραγή γιατί είναι open proxy. Παρακαλούμε επικοινωνείστε με την υπηρεσία παροχής Internet που χρησιμοποιείτε ή με την τεχνική υποστήριξη, για να θέσετε υπ΄ όψη τους αυτό το σοβαρό θέμα ασφάλειας.',

'proxyblocksuccess' => 'Ολοκληρώθηκε!',
#'sorbs' => 'SORBS DNSBL',
'sorbsreason' => 'Η διεύθνυση IP σας έχει χαρακτηρισθεί ως open proxy στο [http://www.sorbs.net SORBS] DNSBL.',
'sorbs_create_account_reason' => 'Η διεύθυνση IP σας έχει χαρακτηρισθεί open proxy στο [http://www.sorbs.net SORBS] DNSBL. Δεν μπορείτε να δημιουργήσετε λογαριασμό χρήστη.',


# Developer tools
#-------------------------#
'lockdb' => 'Κλείδωμα βάσης δεδομένων',
'unlockdb' => 'Ξεκλείδωμα βάσης δεδομένων',

'lockdbtext' => 'Το κλείδωμα της βάσης δεδομένων αναιρεί τη δυνατότητα όλων των χρηστών να επεξεργαστούν σελίδες, να αλλάξουν τις προτιμήσεις τους, να επεξεργαστούν τις λίστες παρακολούθησης και να εκτελέσουν οποιαδήποτε ενέργεια επηρεάζει τη βάση δεδομένων. Παρακαλούμε να επιβεβαιώσετε ότι γνωρίζετε τις επιπτώσεις της ενέργειάς σας και ότι θα ξεκλειδώσετε τη βάση δεδομένων μόλις ολοκληρωθεί η συντήρηση.',

'unlockdbtext' => 'Το ξεκλείδωμα της βάσης δεδομένων θα αποκαταστήσει τη δυνατότητα των χρηστών να επεξεργάζονται σελίδες, να αλλάζουν τις προτιμήσεις τους, να τροποποιούν τις λίστες παρακολούθησης και να προβαίνουν γενικότερα σε ενέργειες που επιφέρουν αλλαγές στη βάση δεδομένων. Παρακαλούμε επιβεβαιώστε πως θέλετε να προχωρήσετε.',

'lockconfirm' => 'Ναι, επιθυμώ να κλειδώσω τη βάση δεδομένων.',
'unlockconfirm' => 'Ναι, επιθυμώ να ξεκλειδώσω τη βάση δεδομένων.',
'lockbtn' => 'Κλείδωμα βάσης δεδομένων',
'unlockbtn' => 'Ξεκλείδωμα βάσης δεδομένων',
'locknoconfirm' => 'Δεν έχετε σημειώσει το κουτάκι της επιβεβαίωσης.',
'lockdbsuccesssub' => 'Η βάση δεδομένων κλειδώθηκε επιτυχώς.',
'unlockdbsuccesssub' => 'Άρση κλειδώματος τη βάσης δεδομένων',


# Make sysop
#-------------------#
'lockdbsuccesstext' => 'Η βάση δεδομένων έχει κλειδωθεί.
<br />Μην ξεχάσετε να την ξεκλειδώσετε όταν τελειώσετε τη συντήρηση.',

'makesysoptitle' => 'Κάντε ένα χρήστη διαχειριστή',

'makesysoptext' => 'Η φόρμα αυτή απευθύνεται στους διαχειριστές και χρησιμεύει στο να χαρακτηρισθεί ένας χρήστης \'διαχειριστής\'. Πληκτρολογήστε το όνομα του χρήστη στο πεδίο κειμένου και επικυρώστε πατώντας το αντίστοιχο κουμπί.',

'makesysopname' => 'Όνομα χρήστη:',
'makesysopsubmit' => 'Κάνετε αυτό το χρήστη διαχειριστή',
'makesysopok' => '<b>Ο χρήστης "$1" είναι εφεξής διαχειριστής</b>',
'makesysopfail' => '<b>Ο χαρακτηρισμός του χρήστη "$1" σε διαχειριστή δεν ολοκληρώθηκε. (Βεβαιωθείτε πως δεν υπήρχαν λάθη στην πληκτρολόγηση του ονόματός του.)</b>',
'setbureaucratflag' => 'Σηματοδότηση διαχειριστή (flag)',
#'setstewardflag' => 'Set steward flag',
'bureaucratlog' => 'Καταγραφές διαχειριστών',
'rightslogtext' => 'Καταγραφές των αλλαγών στα δικαιώματα χρηστών.',
'bureaucratlogentry' => 'Τα δικαιώματα του χρήστη "$1" είναι "$2"',
'rights' => 'Δικαιώματα:',
'set_user_rights' => 'Καθορισμός δικαιωμάτων χρήστη',
'user_rights_set' => '<b>Τα δικαιώματα χρήστη για τον/την "$1" έχουν ενημερωθεί.</b>',
'set_rights_fail' => '<b>Δεν ήταν δυνατή η ρύθμιση των δικαιωμάτων για το χρήστη "$1". Βεβαιωθείτε πως έχετε πληκτρολογήσει σωστά το όνομα.</b>',
'makesysop' => 'Χαρακτηρισμός χρήστη ως διαχειριστή',
'already_sysop' => 'Ο χρήστης αυτός είναι ήδη διαχειριστής.',
'already_bureaucrat' => 'Ο χρήστης αυτός είναι ήδη διαχειριστής.',
'already_steward' => 'Ο χρήστης αυτός είναι ήδη διαχειριστής.',


# Validation
#----------------#
'val_yes' => 'Ναι',
'val_no' => 'Όχι',
'val_of' => '$1 από $2',
'val_revision' => 'Αναθεώρηση',
'val_time' => 'Χρόνος',
'val_user_stats_title' => 'Επισκόπηση επικυρώσεων του χρήστη $1',
'val_my_stats_title' => 'Επισκόπηση των επικυρώσεών μου',
#'val_list_header' => '<th>#</th><th>Topic</th><th>Range</th><th>Action</th>',
'val_add' => 'Προσθήκη',
'val_del' => 'Διαγραφή',
'val_show_my_ratings' => 'Εμφάνιση των επικυρώσεών μου',
'val_revision_number' => 'Αναθεώρηση #$1',
'val_warning' => '<b>Ποτέ, <i>ποτέ</i>, μην αλλάξετε κάτι εδώ χωρίς τη <i>ρητή</i> συναίνεση της κοινότητας!</b>',
'val_rev_for' => 'Αναθεωρήσεις για την $1',
'val_details_th_user' => 'Χρήστης $1',
'val_validation_of' => 'Επικύρωση της "$1"',
'val_revision_of' => 'Αναθεώρηση της $1',
'val_revision_changes_ok' => 'Η βαθμολόγησή σας έχει αποθηκευθεί.!',
'val_rev_stats' => 'Εμφάνιση των στατιστικών επικύρωσης για την "$1" <a href="$2">here</a>',
'val_revision_stats_link' => 'λεπτομέρειες',
'val_iamsure' => 'Σημειώστε σε αυτό το κουτάκι ότι πραγματικά το εννοείτε!',
#'val_details_th' => '<sub>User</sub> \ <sup>Topic</sup>',
'val_clear_old' => 'Εκκαθάριση των υπολοίπων δεδομένων επικύρωσης για $1',
'val_merge_old' => 'Να χρησιμοποιηθεί η προηγούμενη αξιολόγησή μου όπου έχω δηλώσει \'χωρίς άποψη\'.',

'val_form_note' => '<b>ΧΡΗΣΙΜΗ ΣΥΜΒΟΥΛΗ:</b> Ενσωμάτωση δεδομένων σημαίνει πως, για την αναθεώρηση του άρθρου που επιλέγετε, όλες οι επιλογές όπου έχετε δηλώσει \'χωρίς άποψη\' θα προσαρμοστούν στις αντίστοιχες επιλογές της τελευταίας έκδοσης για την οποία \'\'έχετε\'\' εκφράσει άποψη.  Αν για παράδειγμα θέλετε να αλλάξετε μια επιλογή μόνον σε μία αναθεώρηση αλλά θέλετε να διατηρήσετε τις άλλες ρυθμίσεις για αυτό το άρθρο σε αυτήν την αναθεώρηση, επιλέξτε απλώς ποια επιλογή προτίθεστε να \'\'αλλάξετε\'\'. Με την "ενσωμάτωση" θα συμπληρωθούν αυτόματα οι άλλες επιλογές από τις προηγούμενες ρυθμίσεις.',

'val_noop' => 'Χωρίς άποψη',
'val_topic_desc_page' => '{{ns:4}}:Θέματα_Επικύρωσης',
'val_votepage_intro' => 'Αλλάξτε αυτό το κείμενο <a href="{{SERVER}}{{localurl:MediaWiki:Val_votepage_intro}}">εδώ</a>!',
'val_percent' => '<b>$1%</b><br />($2 από $3 μονάδες<br />από $4 χρήστες)',
'val_percent_single' => '<b>$1%</b><br />($2 από $3 μονάδες<br />από ένα χρήστη)',
'val_total' => 'Σύνολο',
'val_version' => 'Έκδοση',
'val_tab' => 'Επικύρωση',
'val_this_is_current_version' => 'αυτή είναι η τρέχουσα έκδοση',
'val_version_of' => 'Έκδοση της $1',
'val_table_header' => '<tr><th>Κλάση</th>$1<th colspan=4>Πρόταση</th>$1<th>Σχόλιο</th></tr>',
'val_stat_link_text' => 'Στατιστικές επικύρωσης αυτού του άρθρου',
'val_view_version' => 'Εμφάνιση αυτής της έκδοσης',
'val_validate_version' => 'Επικύρωση αυτής της έκδοση',
'val_user_validations' => 'Ο χρήστης έχει επικυρώσει $1 σελίδα(-ες)',
'val_no_anon_validation' => 'Πρέπει να συνδεθείτε ως χρήστης για να επικυρώσετε ένα άρθρο.',
'val_validate_article_namespace_only' => 'Μόνο άρθρα μπορούν να επικυρωθούν.  Αυτή η σελίδα <i>δεν<i> ανήκει στην περιοχή των άρθρων.',
'val_validated' => 'Επικυρώθηκε.',
'val_article_lists' => 'Λίστα επικυρωμένων άρθρων',
'val_page_validation_statistics' => 'Στατιστικές επικύρωσης σελίδας για την $1',



# Move page
#-----------------#
'movepage' => 'Μετακίνηση σελίδας',

'movepagetext' => 'Χρησιμοποιήστε τη φόρμα που ακολουθεί για να μετονομάσετε σελίδες και για να μεταφέρετε όλο το ιστορικό τους κάτω από το νέο όνομα. Κάτω από τον παλιό τίτλο της σελίδας θα παραμείνει μια σελίδα ανακατεύθυνσης στο νέο τίτλο. Οι τυχόν σύνδεσμοι που οδηγούσαν στην παλιά σελίδα δεν θα επηρεαστούν. Βεβαιωθείτε πως [[Special:Maintenance|ελέγξατε]] τα διπλά διαστήματα και τους κατεστραμένους συνδέσμους. Αναλαμβάνετε την ευθύνη να επιβεβαιώσετε ότι οι συνδεσμοι εξακολουθούν να οδηγούν προς τις κατευθύνσεις που πρέπει.

Λάβετε υπ` όψη σας ότι η σελίδα \'\'\'δεν\'\'\' θα μετακινηθεί αν υπάρχει ήδη μια άλλη σελίδα κάτω από το νέο τίτλο, εκτός αν η σελίδα αυτή είναι κενή \'\'\'και\'\'\' χωρίς ιστορικό επεξεργασίας. Αυτό σημαίνει ότι, στην περίπτωση που έχετε κάνει λάθος, μπορείτε να μετονομάσετε μια σελίδα ξαναδίνοντας της την αρχική της ονομασία αλλά δεν μπορείτε να αντικαταστήσετε μια υπάρχουσα σελίδα. 


<b>ΠΡΟΣΟΧΗ!</b>
Η μετονομασία σελίδας είναι μια αιφνίδια και δραστική αλλαγή όταν πρόκειται για δημοφιλείς σελίδες. Παρακαλούμε, πριν το αποφασίσετε, να εξετάσετε προσεκτικά τις πιθανές επιπτώσεις αυτής της ενέργειας .',

'movepagetalktext' => 'Η σελίδα συζήτησης που αντιστοιχεί, εάν υπάρχει, θα μετακινηθεί αυτόματα μαζί με αυτήν \'\'\'έκτός αν:\'\'\'
*Μετακινείτε τη σελίδα σε διαφορετική περιοχή (namespace),
*Υπάρχει κάτω από το νέο όνομα μια σελίδα συζήτησης που δεν είναι κενή, ή 
*Έχετε αφαιρέσει τη σημείωση (check) από το κουτάκι που υπάρχει παρακάτω.

Σε αυτές τις περιπτώσεις, θα πρέπει να μετακινήσετε (ή να ενσωματώσετε αν το θέλετε) τη σελίδα με αντιγραφή-και-επικόλληση.',

'movearticle' => 'Μετακίνηση σελίδας',
'movenologin' => 'Δεν έχετε συνδεθεί.',
'movenologintext' => 'Για να μετακινήσετε μια σελίδα πρέπει να είστε εγγεγραμένος χρήστης και [[Special:Userlogin|να έχετε συνδεθεί]] στο Wiκi.',
'newtitle' => 'νέος τίτλος',
'movepagebtn' => 'Μετακίνηση σελίδας',
'pagemovedsub' => 'Η μετακίνηση ήταν επιτυχής',
'pagemovedtext' => 'Η σελίδα "[[$1]]" μετακινήθηκε στη "[[$2]]".',
'articleexists' => 'Υπάρχει ήδη σελίδα με αυτό το όνομα. Παρακαλούμε δώστε άλλο όνομα στη σελίδα.',
'talkexists' => 'Η ίδια η σελίδα μετακινήθηκε επιτυχώς αλλά όχι και η σελίδα συζήτησης, λόγω του ότι υπάρχει ήδη άλλη σελίδα συζήτησης κάτω από το νέο τίτλο. Παρακαλούμε ενοποιήστε τις δύο σελίδες με \'αντιγραφή-και-επικόλληση\'.',
'movedto' => 'Μεκακινήθηκε στο',
'movetalk' => 'Μετακίνηση της σελίδας "συζήτηση" (εάν υπάρχει)',
'talkpagemoved' => 'Η αντίστοιχη σελίδα συζήτησης έχει επίσης μεταφερθεί.',
'talkpagenotmoved' => 'Η σελίδα συζήτησης που αντιστοιχεί <strong>δεν</strong> έχει μεταφερθεί.',
'1movedto2' => 'Η $1 μετονομάστηκε σε $2',
'1movedto2_redir' => 'Η $1 μετακινήθηκε στη θέση $2 (με ανακατεύθυνση)',
'movelogpage' => '΄Μετακίνηση αρχείου καταγραφών',
'movelogpagetext' => 'Ακολουθεί η λίστα με τις σελίδες που έχουν μετακινηθεί.',
'movereason' => 'Αιτιολογία',
'revertmove' => 'έπαναφορά',
'delete_and_move' => 'Διαγραφή και μετακίνηση',

'delete_and_move_text' => '==Χρειάζεται διαγραφή.==

Το άρθρο [[$1]] υπάρχει ήδη. Θέλετε να το διαγράψετε για να εκτελεσθεί η μετακίνηση;',

'delete_and_move_reason' => 'Διαγράφτηκε για να εκτελεθεί η μετακίνηση.',
'selfmove' => 'Ο τίτλος προέλευσης είναι ο ίδιος με τον τίτλο προορισμού -δεν είναι δυνατόν να μετακινηθεί μια σελίδα προς τον εαυτό της.',

'immobile_namespace' => 'Ο τίτλος του προορισμού είναι ειδικού τύπου -δεν είναι δυνατή η μετακίνηση σελίδων σε εκείνη την περιοχή.',


# Export
#----------#
'export' => 'Εξαγωγή σελίδων',

'exporttext' => 'Μπορείτε να κάνετε εξαγωγή του κειμένου και του ιστορικού επεξεργασίας μιας συγκεκριμένης σελίδας (ή περισσοτέρων σελίδων που έχουν ομαδοποιηθεί με χρήση XML).  

Για την εξαγωγή ολόκληρων άρθρων, συμπληρώστε τους τίτλους στο παρακάτω πλαίσιο (ένα τίτλο σε κάθε σειρά) και επιλέξτε ανάμεσα από το να εξαγάγετε μόνο την τρέχουσα έκδοση (με τις πληροφορίες της πιο πρόσφατης επεξεργασίας) ή εναλλακτικά και τις παλιότερες εκδόσεις (με τις αντίστοιχες καταγραφές στη σελιδα του ιστορικού).

Στην τελευταία περίπτωση μπορείτε να κάνετε και χρήση συνδέσμου, π.χ. [[{{ns:Special}}:Export/Train]] για το άρθρο [[Train]].',

'exportcuronly' => 'Να συμπεριληφθεί μόνον η τρέχουσα αναθεώρηση, όχι το πλήρες ιστορικό.',


# Namespace 8 related
#----------------------------------#
'allmessages' => 'Όλα τα μηνύματα του συστήματος',
'allmessagesname' => 'Όνομα',
'allmessagesdefault' => 'Προκαθορισμένο κείμενο',
'allmessagescurrent' => 'Παρόν κείμενο',
'allmessagestext' => 'Η λίστα με όλα τα μηνύματα συστήματος που βρίσκονται στην περιοχή MediaWiki:',
'allmessagesnotsupportedUI' => 'Η τρέχουσα γλώσσα διασύνδεσής σας <b>$1</b> δεν υποστηρίζεται από το Special:AllMessages σε αυτό τον ιστοχώρο.',
'allmessagesnotsupportedDB' => 'Special:Το AllMessages δεν υποστηρίζεται επειδή το wgUseDatabaseMessages είναι απενεργοποιημένο.',


# Thumbnails
#------------------#
'thumbnail-more' => 'Μεγέθυνση',
'missingimage' => '<b>Αγνοούμενη εικόνα</b><br /><i>$1</i>',
'filemissing' => 'Αγνοούμενο αρχείο',


# Special:Import
#----------------------#
'import' => 'Εισαγωγή σελίδων',
'importinterwiki' => 'Εισαγωγή από άλλο Wiki',
'importtext' => 'Παρακαλούμε εξάγετε το αρχείο από το πηγαίο Wiki (χρησιμοποιώντας Special:Export), αποθηκεύστε το στο δίσκο του υπολογιστή σας και φορτώστε το από εκεί.',
'importfailed' => 'Η εισαγωγή απέτυχε: $1',
'importnotext' => 'Κενό (-ή) ή χωρίς κείμενο',
'importsuccess' => 'Η εισαγωγή επέτυχε!',
'importhistoryconflict' => 'Υπάρχει αντιφατικό ιστορικό αναθεωρήσεων (μπορεί να έχετε κάνει παλιότερα  εισαγωγή αυτής της σελίδας).',
'importnosources' => 'Δεν έχουν καθοριστεί πηγές για την εισαγωγή από άλλο Wiki και η απευθείας φόρτωση στο ιστορικό έχει απενεργοποιηθεί.',


# Keyboard access keys for power users
#------------------------------------------------------------#
'accesskey-search' => 'f',
'accesskey-minoredit' => 'i',
'accesskey-save' => 's',
'accesskey-preview' => 'p',
'accesskey-diff' => 'd',
'accesskey-compareselectedversions' => 'v',


# Tooltip help for some actions, most are in Monobook.js
#--------------------------------------------------------------------------------------#
'tooltip-search' => 'Αναζήτηση στο Wiki [alt-f]',
'tooltip-minoredit' => 'Χαρακτηρήστε τις αλλαγές "μικρής κλίμακας" [alt-i]',
'tooltip-save' => 'Αποθήκευση αλλαγών [alt-s]',
'tooltip-preview' => 'Προεπισκόπηση - Παρακαλούμε να χρησιμοποιήτε αυτή την επιλογή πριν αποθηκεύσετε τις αλλαγές σας! [alt-p]',
'tooltip-diff' => 'Προβολή των αλλαγών που κάνατε στο κείμενο. [alt-d]',
'tooltip-compareselectedversions' => 'Εμφάνιση των διαφορών ανάμεσα στις δύο αναθεωρήσεις της σελίδας που έχετε επιλέξει. [alt-v]',
'tooltip-watch' => 'Προσθήκη της σελίδας στη λίστα παρακολούθησης [alt-w]',


# stylesheets
#-------------------#
'Monobook.css' => '/* edit this file to customize the monobook skin for the entire site */',
#'Monobook.js' => '/* edit this file to change js things in the monobook skin */',


# Metadata
#---------------#
'nodublincore' => 'Τα μεταδεδομένα RDF που αφορούν στο Dublin Core έχουν απενεργοποιηθεί σε αυτό τον server.',
'nocreativecommons' => 'Τα μεταδεδομένα RDF που αφορούν στο Creative Commons έχουν απενεργοποιηθεί σε αυτό τον server.',
'notacceptable' => 'Ο server του Wiki δεν μπορεί να αποδόσει δεδομένα σε μορφή που τα διαβάζει ο client',


# Attribution
#-----------------#
'anonymous' => 'Ανώνυμος(-οι) χρήστης(-ες) του {{SITENAME}}',
'siteuser' => '{{SITENAME}} χρήστης $1',
'lastmodifiedby' => 'Η σελίδα αυτή τροποποιήθηκε τελευταία φορά στις  $1 από το χρήστη $2.',
'and' => 'και',
'othercontribs' => 'Βασισμένο στη δουλειά του/της $1',
'others' => 'άλλοι',
'siteusers' => '{{SITENAME}} χρήστης (-ες) $1',
'creditspage' => 'Αναγνώριση συνεισφοράς στη σελίδα',
'nocredits' => 'Δεν υπάρχουν πληροφορίες σχετικά με την αναγνώριση συνεισφοράς σε αυτή τη σελίδα.',


# Spam protection
#--------------------------#
'spamprotectiontitle' => 'Φίλτρο προστασίας από spam',
'spamprotectiontext' => 'Η σελίδα που επιχειρήσατε να αποθηκεύσετε απομονώθηκε από το φίλτρο spam. Αυτό οφείλεται, πιθανότατα, στην ύπαρξη ενός (ή περισσότερων) συνδέσμων προς εξωτερικές σελίδες.',
'spamprotectionmatch' => 'Το φίλτρο spam έχει τεθεί σε ενέργεια εξ αιτίας του εξής κειμένου: $1',
'subcategorycount' => 'Υπάρχουν $1 υποκατηγορίες σε αυτή την κατηγορία.',
'subcategorycount1' => 'Υπάρχει $1 υποκατηγορία σε αυτή την κατηγορία.',
'categoryarticlecount' => 'Υπάρχουν $1 άρθρα σε αυτή την κατηγορία.',
'categoryarticlecount1' => 'Υπάρχει $1 άρθρο σε αυτή την κατηγορία.',

'usenewcategorypage' => '1

Τοποθετείστε ένα "0" στη θέση του πρώτου χαρακτήρα για να μην αλλάξει η διάταξη στη σελίδα κατηγοριών.',

'listingcontinuesabbrev' => 'συνεχίζεται...',


# Info page
#---------------#
'infosubtitle' => 'Πληροφορίες για τη σελίδα',
'numedits' => 'Αριθμός επεξεργασιών (στο άρθρο): $1',
'numtalkedits' => 'Αριθμός επεξεργασιών (στη σελίδα συζήτησης): $1',
'numwatchers' => 'Αριθμός παρακολουθήσεων: $1',
'numauthors' => 'Αριθμός διακριτών συγγραφέων (στο άρθρο): $1',
'numtalkauthors' => 'Αριθμός διακριτών συγγραφέων (στη σελίδα συζήτησης): $1',


# Math options
#---------------------#
'mw_math_png' => 'Απόδοση πάντα σε PNG',
'mw_math_simple' => 'HTML αν είναι αρκετά απλό, διαφορετικά PNG',
'mw_math_html' => 'HTML αν είναι δυνατόν, διαφορετικά PNG',
'mw_math_source' => 'Να παραμείνει ως TeX (για text browsers)',
'mw_math_modern' => 'Προτεινόμενο για σύγχρονους browser',
'mw_math_mathml' => 'MathML όποτε είναι δυνατόν (πειραματικό)',


# Patrolling
#--------------#
'markaspatrolleddiff' => 'Να σημειωθεί \'υπό παρακολούθηση\'',
'markaspatrolledlink' => '<div class=\'patrollink\'>[$1]</div>',
'markaspatrolledtext' => 'Να σημειωθεί αυτό το άρθρο ως \'υπό παρακολούθηση\'.',
'markedaspatrolled' => 'Σημειωμένο ως \'υπό παρακολούθηση\'',
'markedaspatrolledtext' => 'Η αναθεώρηση που έχει επιλεγεί έχει σημειωθεί ως \'υπό παρακολούθηση\'.',
'rcpatroldisabled' => 'Η λειτουργία \'Παρακολούθηση Πρόσφατων Αλλαγών\' έχει απενεργοποιηθεί.',
'rcpatroldisabledtext' => 'Η λειτουργία \'Παρακολούθηση Πρόσφατων Αλλαγών\' είναι αυτή τη στιγμή απενεργοποιημένη.',


# Monobook.js: tooltips and access keys for monobook
#------------------------------------------------------------------------------------#
'Monobook.js' => '/* tooltips and access keys */
ta = new Object();
ta[\'pt-userpage\'] = new Array(\'.\',\'Η προσωπική μου σελίδα στο Wiκi\');
ta[\'pt-anonuserpage\'] = new Array(\'.\',\'Η σελίδα χρήστη στον οποίο αντιστοιχεί η διεύθυνση IP που έχετε\');
ta[\'pt-mytalk\'] = new Array(\'n\',\'Η σελίδα συζητήσεών μου\');
ta[\'pt-anontalk\'] = new Array(\'n\',\'Συζήτηση σχετικά με τις αλλαγές που έγιναν από αυτή τη διεύθυνση IP\');
ta[\'pt-preferences\'] = new Array(\'\',\'Οι προτιμήσεις μου\');
ta[\'pt-watchlist\'] = new Array(\'l\',\'Η λίστα με τις σελίδες που παρακολουθείτε για αλλαγές\');
ta[\'pt-mycontris\'] = new Array(\'y\',\'Κατάλογος των συνεισφορών μου\');
ta[\'pt-login\'] = new Array(\'o\',\'Σας προτείνουμε να συνδεθείτε παρόλο που δεν είναι αναγκαίο.\');
ta[\'pt-anonlogin\'] = new Array(\'o\',\'Σας προτείνουμε να συνδεθείτε παρόλο που δεν είναι αναγκαίο.\');
ta[\'pt-logout\'] = new Array(\'o\',\'Αποσύνδεση\');
ta[\'ca-talk\'] = new Array(\'t\',\'Συζήτηση για το παρόν άρθρο\');
ta[\'ca-edit\'] = new Array(\'e\',\'Μπορείτε να επεξεργαστείτε αυτό το άρθρο. Χρησιμοποιείστε την "Προεπισκόπηση" πριν αποθηκεύσετε.\');
ta[\'ca-addsection\'] = new Array(\'+\',\'Προσθέστε σχόλιο στη συζήτηση.\');
ta[\'ca-viewsource\'] = new Array(\'e\',\'Αυτό το άρθρο είναι κλειδωμένο. Μπορείτε να δείτε τον πηγαίο κώδικά του.\');
ta[\'ca-history\'] = new Array(\'h\',\'Παλιές αναθεωρήσεις του άρθρου.\');
ta[\'ca-protect\'] = new Array(\'=\',\'Κλείδωμα αυτού του άρθρου\');
ta[\'ca-delete\'] = new Array(\'d\',\'Διαγραφή αυτής της σελίδας\');
ta[\'ca-undelete\'] = new Array(\'d\',\'Αποκαταστήστε τις αλλαγές που έγιναν σε αυτή τη σελίδα πριν διαγραφεί.\');
ta[\'ca-move\'] = new Array(\'m\',\'Μετακινήστε αυτή τη σελίδα\');
ta[\'ca-nomove\'] = new Array(\'\',\'Δεν έχετε εξουσιοδότηση να μετακινήσετε αυτή τη σελίδα.\');
ta[\'ca-watch\'] = new Array(\'w\',\'Προσθήκη της σελίδας στη λίστα παρακολούθησης\');
ta[\'ca-unwatch\'] = new Array(\'w\',\'Αφαίρεση της σελίδας από τη λίστα παρακολούθησης\');
ta[\'search\'] = new Array(\'f\',\'Αναζήτηση στο WiKi\');
ta[\'p-logo\'] = new Array(\'\',\'Αρχική σελίδα\');
ta[\'n-mainpage\'] = new Array(\'z\',\'Δείτε την Αρχική σελίδα\');
ta[\'n-portal\'] = new Array(\'\',\'Σχετικά με το Wiκi - πώς μπορείτε να βοηθήσετε, πού μπορείτε να απευθυνθείτε\');
ta[\'n-currentevents\'] = new Array(\'\',\'Πληροφορίες για πρόσφατα γεγονότα\');
ta[\'n-recentchanges\'] = new Array(\'r\',\'Η λίστα με τις πρόσφατες αλλαγές στο WiKi\');
ta[\'n-randompage\'] = new Array(\'x\',\'Επισκεφθείτε μια τυχαία σελίδα του Wiκi\');
ta[\'n-help\'] = new Array(\'\',\'Το μέρος για να βρείτε τις απαντήσεις που ψάχνετε.\');
ta[\'n-sitesupport\'] = new Array(\'\',\'Βοηθήστε το έργο.\');
ta[\'t-whatlinkshere\'] = new Array(\'j\',\'Λίστα από άρθρα που αναφέρουν το παρόν άρθρο\');
ta[\'t-recentchangeslinked\'] = new Array(\'k\',\'Πρόσφατες αλλαγές σε άρθρα που συνδέονται με το παρόν\');
ta[\'feed-rss\'] = new Array(\'\',\'RSS feed για\' αυτή την σελίδα\');
ta[\'feed-atom\'] = new Array(\'\',\'Atom feed για\' αυτή την σελίδα\');
ta[\'t-contributions\'] = new Array(\'\',\'Δείτε τη λίστα με τις συνεισφορές αυτού του χρήστη στο Wiκi\');
ta[\'t-emailuser\'] = new Array(\'\',\'Αποστολή μηνύματος σε αυτό το χρήστη\');
ta[\'t-upload\'] = new Array(\'u\',\'Φόρτωση εικόνας ή αρχείου πολυμέσων\');
ta[\'t-specialpages\'] = new Array(\'q\',\'Η λίστα με όλες τις σελίδες λειτουργιών\');
ta[\'ca-nstab-main\'] = new Array(\'c\',\'Άρθρο\');
ta[\'ca-nstab-user\'] = new Array(\'c\',\'Δείτε τη σελίδα του χρήστη\');
ta[\'ca-nstab-media\'] = new Array(\'c\',\'Δείτε τη σελίδα πολυμέσων\');
ta[\'ca-nstab-special\'] = new Array(\'\',\'Αυτή είναι ειδική σελίδα και δεν μπορείτε να την επεξεργαστείτε.\');
ta[\'ca-nstab-wp\'] = new Array(\'a\',\'Δείτε τη σελίδα του συστήματος\');
ta[\'ca-nstab-image\'] = new Array(\'c\',\'Δείτε την εικόνα\');
ta[\'ca-nstab-mediawiki\'] = new Array(\'c\',\'Δείτε το μήνυμα του συστήματος\');
ta[\'ca-nstab-template\'] = new Array(\'c\',\'Δείτε το πρότυπο\');
ta[\'ca-nstab-help\'] = new Array(\'c\',\'Δείτε τη σελίδα βοήθειας\');
ta[\'ca-nstab-category\'] = new Array(\'c\',\'Δείτε τη σελίδα κατηγοριών\');',


# image deletion
#------------------------#
'deletedrevision' => 'Η παλιά έκδοση της $1 διαγράφτηκε.',


# browsing diffs
#----------------------#
'previousdiff' => '&larr; Δείτε την προηγούμενη \'διαφορά\'',
'nextdiff' => 'Μετάβαση στην επόμενη \'διαφορά\' &rarr;',

'imagemaxsize' => 'Περιορισμός του μεγέθους των εικόνων (στις σελίδες περιγραφής εικόνων) σε:',
'thumbsize'	=> 'Μεγεθος μινιατούρας:',
'showbigimage' => 'Κατέβασμα του αρχείου υψηλής ανάλυσης ($1x$2, $3 KB)',

'newimages' => 'Πινακοθήκη νέων εικόνων',
'noimages' => 'Δεν υπάρχουν εικόνες.',


# short names for language variants used for language conversion links.
# to disable showing a particular link, set it to 'disable', e.g.
# 'variantname-zh-sg' => 'disable',
'variantname-zh-cn' => 'cn',
'variantname-zh-tw' => 'tw',
'variantname-zh-hk' => 'hk',
'variantname-zh-sg' => 'sg',
'variantname-zh' => 'zh',


# labels for User: and Title: on Special:Log pages
#--------------------------------------------------------------------------#
'specialloguserlabel' => 'Χρήστης:',
'speciallogtitlelabel' => 'Τίτλος:',
'passwordtooshort' => 'Ο κωδικός σας είναι πολύ σύντομος. Πρέπει να περιέχει τουλάχιστον $1 χαρακτήρες.',

# Media Warning
#-----------------------#
'mediawarning' => '\'\'\'Προειδοποίηση\'\'\': Το αρχείο αυτό μπορεί να περιέχει κακοπροαίρετο κώδικα που μπορεί να βλάψει το σύστημα του υπολογιστή σας.

<hr>',

'fileinfo' => '$1KB, MIME type: <code>$2</code>',

# Metadata
#---------------#
'metadata' => 'Μεταδεδομένα',


# Exif tags
#-------------#
'exif-imagewidth' => 'Πλάτος',
'exif-imagelength' => 'Υψος',
'exif-bitspersample' => 'Bits ανά στοιχείο',
'exif-compression' => 'Σχήμα συμπίεσης',
'exif-photometricinterpretation' => 'Σύνθεση των pixel ',
'exif-orientation' => 'Προσαντολισμός',
'exif-samplesperpixel' => 'Αριθμός στοιχείων',
'exif-planarconfiguration' => 'Διάταξη δεδομένων',
'exif-ycbcrsubsampling' =>'Αναλογικό δείγμα σε φωτεινότητα και χρώμα',
'exif-ycbcrpositioning' =>'Ρύθμιση φωτεινότητας και χρώματος',
'exif-xresolution' => 'Οριζόντια ανάλυση',
'exif-yresolution' => 'Κατακόρυφη ανάλυση',
'exif-resolutionunit' => 'Μονάδα μέτρησης ανάλυσης X και Y',
'exif-stripoffsets' => 'Τοποθέτηση δεδομένων εικόνας',
'exif-rowsperstrip' =>'Αριθμός σειρών ανά λωρίδα',
'exif-stripbytecounts' =>'Bytes ανά συμπιεσμένη λωρίδα',
'exif-jpeginterchangeformat' => 'Μετάθεση σε JPEG SOI',
'exif-jpeginterchangeformatlength' => 'Bytes δεδομένων JPEG',
'exif-transferfunction' => 'Λειτουργία μεταφοράς',
'exif-whitepoint' =>'Χρωματικός προσδιορισμός λευκού',
'exif-primarychromaticities' =>'Πρωτεύοντες χρωματισμοί',
'exif-ycbcrcoefficients' =>'Συντελεστές μητρών μετασχηματισμού χρώματος',
'exif-referenceblackwhite' => 'Ζεύγος μαύρων και άσπρων αξιών αναφοράς',
'exif-datetime' => 'Δηλώστε την ημερομηνία και την ώρα της επεξεργασίας.',
'exif-imagedescription' => 'Τίτλος εικόνας',
'exif-make' => 'Κατασκευαστής φωτογραφικής μηχανής',
'exif-model' => 'Μοντέλο φωτογραφικής μηχανής',
'exif-software' => 'Λογισμικό που χρησιμοποιήθηκε',
'exif-artist' => 'Δημιουργός',
'exif-copyright' => 'Ιδιοκτήτης του copyright',
'exif-exifversion' => 'Έκδοση exif',
'exif-flashpixversion' => 'Υποστηριζόμενη έκδοση Flashpix',
'exif-colorspace' => 'Χρωματική περιοχή',
'exif-componentsconfiguration' => 'Νόημα του κάθε στοιχείου',
'exif-compressedbitsperpixel' => 'Κατάσταση συμπίεσης εικόνας',
'exif-pixelydimension' => 'Έγκυρο πλάτος εικόνας',
'exif-pixelxdimension' => 'Έγκυρο ύψος εικόνας',
'exif-makernote' => 'Σημειώσεις του κατασκευαστή',
'exif-usercomment' => 'Σχόλια χρήστη',
'exif-relatedsoundfile' => 'Σχετικό αρχείο ήχου',
'exif-datetimeoriginal' => 'Ημερομηνία και ώρα της παραγωγής ψηφιακών δεδομένων',
'exif-datetimedigitized' => 'Ημερομηνία και ώρα της μετατροπής σε ψηφιακή μορφή',
#'exif-subsectime' =>'DateTime subseconds',
#'exif-subsectimeoriginal' =>'DateTimeOriginal subseconds',
#'exif-subsectimedigitized' =>'DateTimeDigitized subseconds',
'exif-exposuretime' => 'Χρόνος έκθεσης',
'exif-fnumber' => 'Αριθμός F',
'exif-exposureprogram' => 'Πρόγραμμα έκθεσης',
'exif-spectralsensitivity' => 'Ευαισθησία φάσματος',
'exif-isospeedratings' => 'Βαθμολόγηση ταχύτητας ISO',
'exif-oecf' => 'Οπτικοηλεκτρονικός συντελεστής μετατροπής',
'exif-shutterspeedvalue' => 'Ταχύτητα κλείστρου',
'exif-aperturevalue' => 'Διάφραγμα',
'exif-brightnessvalue' => 'Φωτεινότητα',
'exif-exposurebiasvalue' => 'Προτεραιότητα έκθεσης',
'exif-maxaperturevalue' => 'Μέγιστο διάφραγμα ξηράς',
'exif-subjectdistance' => 'Απόσταση αντικειμένου',
'exif-meteringmode' => 'Κατάσταση λειτουργίας φωτόμετρου',
'exif-lightsource' => 'Πηγή φωτός',
'exif-flash' => 'Φλας',
'exif-focallength' => 'Εστιακή απόσταση του φακού',
'exif-subjectarea' => 'Θεματική περιοχή',
'exif-flashenergy' => 'Ενέργεια του φλας',
'exif-spatialfrequencyresponse' =>'Χωρική απόκριση συχνότητας',
'exif-focalplanexresolution' => 'Ανάλυση εστιακού επιπέδου Χ',
'exif-focalplaneyresolution' => 'Ανάλυση εστιακού πειπέδου Υ',
'exif-focalplaneresolutionunit' => 'Μονάδα μέτρησης ανάλυσης εστιακού επιπέδου',
'exif-subjectlocation' => 'Τοποθέτηση του αντικειμένου',
'exif-exposureindex' => 'Δείκτης έκθεσης',
'exif-sensingmethod' => 'Μέθοδος αισθητήρα',
'exif-filesource' => 'Πηγή αρχείου',
'exif-scenetype' => 'Τύπος σκηνής',
'exif-cfapattern' => 'CFA pattern',
'exif-customrendered' => 'Ειδική επεξεργασία εικόνας',
'exif-exposuremode' => 'Κατάσταση λειτουργίας έκθεσης',
'exif-whitebalance' => 'Ισορροπία των λευκών',
'exif-digitalzoomratio' => 'Αναλογία ψηφιακού zoom',
'exif-focallengthin35mmfilm' => 'Εστιακή απόσταση σε φιλμ 35 mm',
'exif-scenecapturetype' => 'Τύπος σύλληψης της σκηνής',
'exif-gaincontrol' => 'Έλεγχος πεδίου',
'exif-contrast' => 'Αντίθεση',
'exif-saturation' => 'Κορεσμός',
'exif-sharpness' => 'Όξυνση',
'exif-devicesettingdescription' => 'Περιγραφή των ρυθμίσεων του μηχανήματος',
'exif-subjectdistancerange' => 'Περιοχή διακύμανσης της απόστασης του αντικειμένου',
'exif-imageuniqueid' => 'Μονοσήμαντη ταυτοποίηση εικόνας',
'exif-gpsversionid' => 'Έκδοση με GPS tag',
'exif-gpslatituderef' => 'Βόρειο ή Νότιο γεωγραφικό πλάτος',
'exif-gpslatitude' => 'Γεωγραφικό πλάτος',
'exif-gpslongituderef' => 'Ανατολικό ή Δυτικό γεωγραφικό μήκος',
'exif-gpslongitude' => 'Γεωγραφικό μήκος',
'exif-gpsaltituderef' => 'Αναφορές υψομέτρου',
'exif-gpsaltitude' => 'Υψόμετρο',
'exif-gpstimestamp' => 'Ώρα GPS (ατομικό ρολόι)',
'exif-gpssatellites' => 'Δορυφόροι που χρησιμοποιήθηκαν για τις μετρήσεις',
'exif-gpsstatus' => 'Κατάσταση δέκτη',
'exif-gpsmeasuremode' => 'Τρόπος λειτουργίας μετρήσεων',
'exif-gpsdop' => 'Ακρίβεια μέτρησης',
'exif-gpsspeedref' => 'Μονάδα μέτρησης ταχύτητας',
'exif-gpsspeed' => 'Ταχύτητα δέκτη GPS',
'exif-gpstrackref' => 'Αναφορές για την κατεύθυνση της κίνησης',
'exif-gpstrack' => 'Κατεύθυνση κίνησης',
'exif-gpsimgdirectionref' => 'Αναφορές για την κατεύθυνση της εικόνας',
'exif-gpsimgdirection' => 'Κατεύθυνση της εικόνας',
'exif-gpsmapdatum' => 'Στοιχεία γεωδετικών μετρήσεων ΄που έχουν χρησιμοποιηθεί',
'exif-gpsdestlatituderef' => 'Αναφορές για το γεωγραφικό πλάτος του προορισμού',
'exif-gpsdestlatitude' => 'Αναφορές γεωγραφικού πλάτους',
'exif-gpsdestlongituderef' => 'Αναφορές για το γεωγραφικό μήκος του προορισμού',
'exif-gpsdestlongitude' => 'Γεωγραφικό πλάτος προορισμού',
'exif-gpsdestbearingref' => 'Αναφορές για τις συντεταγμένες προορισμού',
'exif-gpsdestbearing' => 'Συντεταγμένες προορισμού',
'exif-gpsdestdistanceref' => 'Αναφορές για την απόσταση μέχρι τον προορισμό',
'exif-gpsdestdistance' => 'Απόσταση μέχρι τον προορισμό',
'exif-gpsprocessingmethod' => 'Όνομα μεθόδου επεξεργασίας GPS',
'exif-gpsareainformation' => 'Όνομα περιοχής GPS',
'exif-gpsdatestamp' => 'Ημερομηνία GPS',
'exif-gpsdifferential' => 'Διαφορική διόρθωση GPS',


# Make & model, can be wikified in order to link to the camera and model name

'exif-make-value' => '$1',
'exif-model-value' => '$1',
'exif-software-value' => '$1',

'exif-compression-1' => 'Έχει αποσυμπιεστεί.',
'exif-compression-6' => 'JPEG',

'exif-photometricinterpretation-1' => 'RGB',
'exif-photometricinterpretation-6' => 'YCbCr',

'exif-orientation-1' => 'Φυσικός', // 0th row: top; 0th column: left
'exif-orientation-2' => 'Έχει αντιστραφεί οριζόντια.', // 0th row: top; 0th column: right
'exif-orientation-3' => 'Έχει περιστραφεί κατά 180° μοίρες.', // 0th row: bottom; 0th column: right
'exif-orientation-4' => 'Έχει αντιστραφεί κατακόρυφα.', // 0th row: bottom; 0th column: left
'exif-orientation-5' => 'Έχει περιστραφεί κατά 90° μοίρες με φορά αντίθετα προς τη φορά των δεικτών του ρολογιού και έχει αντιστραφεί κατακόρυφα.', // 0th row: left; 0th column: top
'exif-orientation-6' => 'Έχει περιστραφεί κατά 90° μοίρες κατά τη φορά των δεικτών του ρολογιού.', // 0th row: right; 0th column: top
'exif-orientation-7' => 'Έχει περιστραφεί κατά 90° μοίρες κατά τη φορά των δεικτών του ρολογιού και έχει αντιστραφεί κατακόρυφα.',  // 0th row: right; 0th column: bottom
'exif-orientation-8' => 'Έχει περιστραφή κατά 90° μοίρες αντίθετα προς τη φορά των δεικτών του ρολογιού.', // 0th row: left; 0th column: bottom

'exif-planarconfiguration-1' => 'πεπλατυσμένος σχηματισμός',
'exif-planarconfiguration-2' => 'επίπεδος σχηματισμός',

'exif-xyresolution-i' => '$1 dpi',
'exif-xyresolution-c' => '$1 dpc',

'exif-colorspace-1' => 'sRGB',
'exif-colorspace-ffff.h' => 'FFFF.H',
'exif-componentsconfiguration-0' => 'δεν υπάρχει',
'exif-componentsconfiguration-1' => 'Y',
'exif-componentsconfiguration-2' => 'Cb',
'exif-componentsconfiguration-3' => 'Cr',
'exif-componentsconfiguration-4' => 'R',
'exif-componentsconfiguration-5' => 'G',
'exif-componentsconfiguration-6' => 'B',

'exif-exposureprogram-0' => 'Δεν έχει προκαθοριστεί',
'exif-exposureprogram-1' => 'Χειροκίνητο',
'exif-exposureprogram-2' => 'Κανονικό πρόγραμμα',
'exif-exposureprogram-3' => 'Προτεραιότητα διαφράγματος',
'exif-exposureprogram-4' => 'Προτεραιότητα κλείστρου',
'exif-exposureprogram-5' => 'Δημιουργικό πρόγραμμα (με προτεραιότητα το βάθος πεδίου)',
'exif-exposureprogram-6' => 'Δημιουργικό πρόγραμμα (με προτεραιόττηα την ταχύτητα του κλείστρου)',
'exif-exposureprogram-7' => 'Επιλογή λειτουργίας "πορτραίτου" (για φωτογραφίες closeup με το φόντο εκτός εστίασης)',
'exif-exposureprogram-8' => 'Επιλογή λειτουργίας "τοπίου" (για φωτογραφίες τοπίου με εστιασμένο φόντο)',

'exif-subjectdistance-value' => '$1 μέτρα',
'exif-meteringmode-0' => 'Άγνωστη',
'exif-meteringmode-1' => 'Μέση τιμή',
'exif-meteringmode-2' => 'Μέση τιμή με έμφαση στο κέντρο',
'exif-meteringmode-3' => 'Ένα σημείο',
'exif-meteringmode-4' => 'Πολλά σημεία',
'exif-meteringmode-5' => 'Μοτίβο',
'exif-meteringmode-6' => 'Μερική',
'exif-meteringmode-255' => 'Άλλο',
'exif-lightsource-0' => 'Άγνωστη',
'exif-lightsource-1' => 'Φως ημέρας',
'exif-lightsource-2' => 'Φωσφορίζον',
'exif-lightsource-3' => 'Tungsten (φωτισμός από λυχνίες πυράκτωσης)',
'exif-lightsource-4' => 'Φλας',
'exif-lightsource-9' => 'Αίθριος καιρός',
'exif-lightsource-10' => 'Συννεφιά',
'exif-lightsource-11' => 'Σκιά',
'exif-lightsource-12' => 'Φως ημέρας φωσφορίζον (D 5700 – 7100K)',
'exif-lightsource-13' => 'Λευκό φως ημέρας  (N 4600 – 5400K)',
'exif-lightsource-14' => 'Κρύο λευκό φως fluorescent (W 3900 – 4500K)',
'exif-lightsource-15' => 'Λευκό φως φωσφορίζον (WW 3200 – 3700K)',
'exif-lightsource-17' => 'Τυποποιημένος φωτισμός A',
'exif-lightsource-18' => 'Τυποποιημένος φωτισμός B',
'exif-lightsource-19' => 'Τυποποιημένος φωτισμός C',
'exif-lightsource-20' => 'D55',
'exif-lightsource-21' => 'D65',
'exif-lightsource-22' => 'D75',
'exif-lightsource-23' => 'D50',
#'exif-lightsource-24' => 'ISO studio tungsten',
'exif-lightsource-255' => 'Άλλη πηγή φωτός',

'exif-focalplaneresolutionunit-2' => 'ίντσες',

'exif-sensingmethod-1' => 'Δεν έχει καθοριστεί',
'exif-sensingmethod-2' => 'One-chip color area sensor',
'exif-sensingmethod-3' => 'Two-chip color area sensor',
'exif-sensingmethod-4' => 'Three-chip color area sensor',
'exif-sensingmethod-5' => 'Color sequential area sensor',
'exif-sensingmethod-7' => 'Trilinear sensor',
'exif-sensingmethod-8' => 'Color sequential linear sensor',

'exif-filesource-3' => 'DSC',
'exif-scenetype-1' => 'Εικόνα που φωτογραφήθηκε απ` ευθείας',

'exif-customrendered-0' => 'Κανονική επεξεργασία',
'exif-customrendered-1' => 'Ειδική επεξεργασία',

'exif-exposuremode-0' => 'Αυτόματη έκθεση',
'exif-exposuremode-1' => 'Χειροκίνητη έκθεση',
'exif-exposuremode-2' => 'Αυτόματο bracket',

'exif-whitebalance-0' => 'Αυτόματη ισορροπία των λευκών',
'exif-whitebalance-1' => 'Χειροκίνητη ισορροπία των λευκών',

'exif-scenecapturetype-0' => 'Συνήθης',
'exif-scenecapturetype-1' => 'Τοπίο',
'exif-scenecapturetype-2' => 'Πορτραίτο',
'exif-scenecapturetype-3' => 'Νυκτερινή σκηνή',

'exif-gaincontrol-0' => 'Κανένα',
'exif-gaincontrol-1' => 'Χαμηλό κέρδος επάνω',
'exif-gaincontrol-2' => 'Υψηλό κέρδος επάνω',
'exif-gaincontrol-3' => 'Χαμηλό κέρδος κάτω',
'exif-gaincontrol-4' => 'Υψηλό κέρδος κατω',

'exif-contrast-0' => 'Φυσικό',
'exif-contrast-1' => 'Απαλό',
'exif-contrast-2' => 'Ισχυρό',

'exif-saturation-0' => 'Φυσικός',
'exif-saturation-1' => 'Χαμηλός κορεσμός',
'exif-saturation-2' => 'Υψηλός κορεσμός',

'exif-sharpness-0' => 'Φυσική',
'exif-sharpness-1' => 'Απαλή',
'exif-sharpness-2' => 'Σκληρή',

'exif-subjectdistancerange-0' => 'Άγνωστη',
'exif-subjectdistancerange-1' => 'Macro',
'exif-subjectdistancerange-2' => 'Κοντινή λήψη',
'exif-subjectdistancerange-3' => 'Μακρίνή λήψη',

// Pseudotags used for GPSLatitudeRef and GPSDestLatitudeRef
'exif-gpslatitude-n' => 'Βόρειο γεωγραφικό πλάτος',
'exif-gpslatitude-s' => 'Νότιο γεωγραφικό πλάτος',

// Pseudotags used for GPSLongitudeRef and GPSDestLongitudeRef
'exif-gpslongitude-e' => 'Ανατολικό γεωγραφικό μήκος',
'exif-gpslongitude-w' => 'Δυτικό γεωγραφικό μήκος',

'exif-gpsstatus-a' => 'Μέτρηση εν εξελίξει',
'exif-gpsstatus-v' => 'Διαλειτουργικότητα μετρήσεων',

'exif-gpsmeasuremode-2' => 'μέτρηση δύο διαστάσεων',
'exif-gpsmeasuremode-3' => 'μέτρηση τριών διαστάσεων',

// Pseudotags used for GPSSpeedRef and GPSDestDistanceRef
'exif-gpsspeed-k' => 'Χιλιόμετρα/ώρα',
'exif-gpsspeed-m' => 'Μίλια/ώρα',
'exif-gpsspeed-n' => 'Κόμβοι',

// Pseudotags used for GPSTrackRef, GPSImgDirectionRef and GPSDestBearingRef
'exif-gpsdirection-t' => 'Πραγματική κατεύθυνση',
'exif-gpsdirection-m' => 'Μαγνητική κατεύθυνση',


# external editor support
#-------------------------------------#
'edit-externally' => 'Επεξεργαστείτε το συγκεκριμένο αρχείο χρησιμοποιώντας μια από τις εξωτερικές εφαρμογές.',
'edit-externally-help' => 'Για περισσότερες πληροφορίες ακολουθήστε το σύνδεσμο: [http://meta.wikimedia.org/wiki/Help:External_editors setup instructions].',


# 'all' in various places, this might be different for inflicted languages
#---------------------------------------------------------------------------------------------------------#
'recentchangesall' => 'όλες',
'imagelistall' => 'όλες',
'watchlistall1' => 'όλες',
'watchlistall2' => 'όλες',
'contributionsall' => 'όλες',


# E-mail address confirmation
#--------------------------------------------#
'confirmemail' => 'Επαλήθευση διεύθυνσης e-mail',

'confirmemail_text' => 'Το σύστημα χρειάζεται να επαληθεύσει τη διεύθυνση e-mail που δώσατε για να χρησιμοποιήσετε τις δυνατότητες αλληλογραφίας. Κάνετε κλικ στο παρακάτω κουμπί και θα σας αποσταλεί μήνυμα επαλήθευσης στη διεύθυνσή σας. Στο μήνυμα αυτό θα εμφανίζεται ένας σύνδεσμος που Θα περιέχει τον κωδικό επαλήθευσης -ακολουθήστε το σύνδεσμο αυτό για να μπορέσει το σύστημα να επαληθεύσει τη διεύθυνση αλληλογραφίας σας.',

'confirmemail_send' => 'Αποστολή κωδικού επαλήθευσης με e-mail .',
'confirmemail_sent' => 'Το μήνυμα επαλήθευσης έχει σταλεί, ελέγξτε την αλληλογραφία σας.',
'confirmemail_sendfailed' => 'Δεν ήταν δυνατή η αποστολή του μηνύματος επαλήθευσης. Ελέγξτε την ηλεκτρονική διεύθυνση που συμπληρώσατε για πιθανά λάθη πληκτρολόγησης.',
'confirmemail_invalid' => 'Λάθος κωδικός επαλήθευσης. Είναι πιθανόν ο κωδικός σας να έχει λήξει.',
'confirmemail_success' => 'Η ηλεκτρονική σας διεύθυνση σας επαληθεύτηκε. Μπορείτε πλέον να συνδεθείτε και να απολαύσετε τις δυνατότητες του Wiκi.',
'confirmemail_loggedin' => 'Η ηλεκτρονική σας διεύθυνση επαληθεύτηκε.',
'confirmemail_error' => 'Παρουσιάστηκε λάθος κατά την αποθήκευση των ρυθμίσεών σας.',
'confirmemail_subject' => 'Επαλήθευση ηλεκτρονικής διεύθυνσης του {{SITENAME}}',

'confirmemail_body' =>  'Κάποιος, πιθανόν εσείς από τη διεύθυνση IP $1, δημιούργησε στο {{SITENAME}} ένα λογαριασμό χρήστη "$2" με τη συγκεκριμένη ηλεκτρονική διεύθυνση. 

Για να επιβεβαιώσετε ότι αυτός ο λογαριασμός χρήστη ανήκει πραγματικά σε εσάς και για να ενεργοποιηθούν οι δυνατότητες e-mail του {{SITENAME}}, ακολουθήστε αυτό το σύνδεσμο:

$3

Αν ο χρήστης που δημιούργησε το συγκεκριμένο λογαριασμό δεν είστε εσείς, μην ακολουθήστε το σύνδεσμο. Ο κωδικός επιβεβαίωσης θα λήξει στις $4',



# Inputbox extension, may be useful in other contexts as well
#----------------------------------------------------------------------------------------------#
'tryexact' => 'Δοκιμάστε την επακριβή αντιστοιχία.',
'searchfulltext' => 'Αναζήτηση με το πλήρες κείμενο',
'createarticle' => 'Δημιουργία άρθρου',


# Scary transclusion
#------------------------------#
'scarytranscludedisabled' => '[Η ενσωμάτωση εξωτερικών ιστοσελίδων σε αυτό το Wiki είναι απενεργοποιημένη.]',
'scarytranscludefailed' => '[Λυπούμαστε, η προσκόμιση προτύπου για το $1 απέτυχε.]',
'scarytranscludetoolong' => '[Λυπούμαστε η διεύθυνση URL είναι πολύ μεγάλη.]',


# Trackbacks
#------------------#
/*'trackbackbox' => '<div id=\'mw_trackbacks\'>
Trackbacks for this article:<br/>
$1
</div>',
*/
'trackback' => '; $4$5 : [$2 $1]',
'trackbackexcerpt' => '; $4$5 : [$2 $1]: <nowiki>$3</nowiki>',
'trackbackremove' => ' ([$1΄- Διαγραφή])',
'trackbacklink' => 'Επιστροφή για αναζήτηση',
'trackbackdeleteok' => 'Η επιστροφή για αναζήτηση έχει διαγραφεί επιτυχώς.',


);

/** @package MediaWiki */
class LanguageEl extends LanguageUtf8 {

	function getNamespaces() {
		global $wgNamespaceNamesEl;
		return $wgNamespaceNamesEl;
	}
	
	function getMessage( $key ) {
		global $wgAllMessagesEl;

		return isset( $wgAllMessagesEl[$key] ) ? $wgAllMessagesEl[$key] : parent::getMessage( $key );
	}
	
	function fallback8bitEncoding() {
		return 'iso-8859-7';
	}
	
	function formatNum( $number, $year = false ) {
		return $year ? $number : strtr($this->commafy( $number ), '.,', ',.' );
	}
}

?>
